' "Metal Sonic's Quest"
' Created with QDK Pro 3.53

!include <net.lib>

define game <Metal Sonic's Quest>
	asl-version <350>
	gametype multiplayer
	start <Multiplayer Lobby>
	game author <Jordan>
	game version <4.0>
	game copyright <Copyright SEGA, ARCHIE COMIX, JCI, AND I FORGOT.>
	game info <Created with QDK 3.53 - UNREGISTERED EVALUATION VERSION.|n Not really that much extra info, though.>
	player startscript msg <Let the games begin!>
	disconnect msg <System Shut down.>
	command <teleport~room> {
		goto <teleport room 1>
		if ask <Are you a big fat cheater?> then helpmsg <Welcome, cheater, to teleporting land! You get to teleport to any|npoint of the game!> else {
			if ask <So, you're NOT a cheater?> then {
				say <ACCESS DENIED, GIVING GAME|n OVER NOW! DO NOT PRANK |nTYPE THAT CHEAT IN!>
				stop
			}
		}
	}
	command <Lobby> goto <Multiplayer Lobby>
	error <badcommand; {ERROR, CANNOT UNDERSTAND LANGUAGE USER IS SPEAKING. TYPE HELP FOR HELP.}>
	error <badthing; Am I even sure that exists?>
	error <badplace; Now, where was it, again?>
	error <itemunwanted; No.>
	error <defaultuse; It's useless here, I should try somewhere else.>
	error <cantdrop; You can't drop your jaw, so how can you drop that?>
	error <noitem; Dude, how can you use that thing if YOU DON'T EVEN HAVE IT????>
	error <badexamine; Okay, I'll examine-- examine WHAT NOW?>
	error <badgo; ? Bud, you can only go in a direction, go to a place, or go outta here, you can't "go" on MY carpet.>
	error <baduse; Your best friend can't even use you, how can you use you, or what?>
	error <badgive; Give it to WHO?>
	error <badtake; Look, dude, it's TEXT, you can't take it.>
	error <baditem; Do I need glasses? No. But I can't see that! Then it must NOT EXIST!>
	define variable <How feared you are>
		type numeric
		scope local
		value <0>
		display nozero <!feared:>
	end define
end define

define options
	login on
	register on
end define

define type <loud>
	action <wake up sonikku> {
		msg <S: What the? What are you doing here?|n GUARDS!|n|n|n|n|n   MISSION FAILED>
		if ask <Do you want to restart mission 1?> then goto <Campaign mode- Start point, Metal> else goto <Multiplayer Lobby>
	}
end define

define synonyms
end define

define room <Knothole Junkyard- Wake point>
	look <"Systems Online..... running diagnostics check..... all systems functional....."|nYou notice You are in a junkyard.... in Knothole village..... you are|nMetal Sonic. |nScanning Horizons:|n|ngate|n|n that's the only place to go.... just type "go to gate" and go there.>
	indescription <"Uhh.... my head.... scan for errors....">
	north <Knothole Junkyard- Gatekeeper>
	place <gate; Knothole Junkyard- Gatekeeper>
	script displaytext <After choosing 1p mode>
end define

define room <Knothole Junkyard- Gatekeeper>
	look <Hmm.... there's a gate..... go though it?|n|nS. H. (scanning horizons)|n|nwakemeup|nknottheplace>
	south <Knothole Junkyard- Wake point>
	place <knottheplace; Knothole- South> goto <Knothole- South>
	place <wakemeup; Knothole Junkyard- Wake point>

	define object <gate>
		take goto <Knothole- South>
	end define

end define

define room <Knothole- South>
	look <There's a gate, a fox and an alleyway.|nS.H.|n|ngatemeup|nfoxy|nalleyway>
	place <down; Knothole- Downtown>

	define object <Tails>
		alias <foxy>
		look <It looks like a fox.>
		take msg <Tails: Please.... don't touch me...>
		speak <M: Hiya mortal!|nT: Hiya---METAL!? DON'T HURT ME!!!|nM: Relax.....>
		examine <Hmm.... turns out to be a fox with 2 Tails.....>
		displaytype <mortal>
		article <he>
		gender <he>
	end define

	define object <alleyway>
		alias <south to north>
		look <It's a dark, slimy alleyway.>
		take goto <Knothole- Downtown>
		speak <You say, Hello? And hear echoes.>
		examine <It's dark, slimy, and leads downtown.>
		displaytype <corridor>
		article <it>
		gender <it>
	end define

end define

define room <Knothole- Downtown>
	look <You are in a big wasteland known as Knothole....|nyou are a mortal-killing robot bent on destroying all life forms.....|nand yet, no one gives a--WARNING! WARNING! ENEMY DETECTED IN NORTH SECTOR.|n|n S.H.|n|nThe south.|nThe north.|n|n|n   I guess I'd better start moving....>
	place <Knothole- South>

	define object <monorail 01>
		look <A sturdy vehicle that is used to get to the North sector.>
		take goto <Monorail 01- Indoors section 1>
		speak <It's a vehicle.... it can't talk back.>
		examine <It's very clean..... not a single spot on it... hmm? It has a symbol that looks familiar somehow...>
		displaytype <transport>
		article <it>
		gender <it>
	end define

end define

define room <Knothole- North>
	look <You awake at the north sector.|nIt's just....quiet.... there's a house over there!|nHold on.... scanners indicate that the enemy is in the house! I'm going in!|n>
	place <Sonic's House>
end define

define room <Sonic's House>
	look <Here I am. Hmm? !!!!!! That hedgehog looks like the symbol on the monorail!|nScanners indicate that he's the enemy.... what to use?|nW.L. (weapons list)|n|nShotgun|nUzi|n|ngulp!>
	script choose <Choose a weapon!>
end define

define room <Monorail 01- Indoors section 1>
	look <This seems like a room, yet it's a vehicle.... very odd.....|nI hope we arrive soon....|nS.H.|n|nA few seats, a ladder and a door.>
	use <seat> msg <You decide to take a rest.|nWhen you wake up, the monorail still isn't at|nthe station!>

	define object <ladder>
		look <A cold ladder.>
		take goto <Monorail 01- Outside>
		speak <It's a ladder.>
		examine <It's spotless.>
	end define

end define

define room <Monorail 01- Outside>
	look <Hmm.... I see the North sector ahead! and a map! I'd better take it....>

	define object <map>
		look <A map of The Junkyard.... it's useless....>
		take <Okay.... got it! Better enjoy the ride!>
		speak <Whaddyu nuts?>
		examine <Same as looked at....>
	end define

	define object <ladder for climbing>
		look <A ladder.>
		take goto <Monorail 01- Indoors 2>
		speak <A ladder.>
		examine <A ladder.>
	end define

end define

define room <Monorail 01- Indoors 2>
	look <Well, I sealed the ladder exit shut. I'd better just go to seep mode til we're there....>

	define object <chair>
		look <A nice, comfy, chair.>
		take goto <Knothole- North>
		speak <??>
		examine <No dirt, perfect for going to sleep mode in!>
	end define

end define

define room <Game Over 1>
	look <Uh-oh..... the hedgehog dodged it and destroyed me! Systems blacking out.....|nOffline....|n|n|n|n|n                                   GAME            OVER!!!!!>
	script playerlose
end define

define room <Killed Sonic>
	look <And so, I shot the hedgehog, and he died. Before he did, he said:|n" Metal Sonic, take this chaos emerald.... it'll tell you about your past...."|nI scratched his hand off and got the emerald....|n|n|n    I was teleported to a stange facility... new, yet somehow old....|n    but I checked my memory banks, and I had more knowledge! I searched|n    the data.... and learned about these 3 new names: Recylced Metal, Dr. Ivo Robotnik,|n    and Egg Base.... it was the beginning of a new Era........|n|n>
	place <Egg Base- Hallway>
end define

define room <Egg Base- Hallway>
	look <Hmm.... a hallway.....|nit seems familiar......|nUggghhh........ my...head hurts......|nI need to get my A.lmost I.nfinite batteries!|nS.H.|n|nMess Hall|nLab>
	place <Egg Base- Mess Hall>
	place <Egg Base- Lab>
	script displaytext <After killing sonic>
	command <teleport_room> {
		displaytext <Cheater>
		goto <teleport room 1>
	}
end define

define room <teleport room 1>
	look <All right! The teleport room! Awesome!|nWhere to go? (note, this is the only one, but you can actually only go to chapters 1-3)>
	place <Knothole Junkyard- Wake point>
	place <Knothole Junkyard- Gatekeeper>
	place <Knothole- South>
	place <Knothole- Downtown>
	place <Knothole- North>
	place <Sonic's House>
	place <Monorail 01- Indoors section 1>
	place <Monorail 01- Outside>
	place <Monorail 01- Indoors 2>
	place <Egg Base- Hallway>
	place <Egg Base- Mess Hall>
	place <Egg Base- Lab>
	place <Egg Base- Locked Room 2nd Ending>
	place <Egg Base- Locked Room>
	place <Egg Base- Lab later>
	place <Locked Room part 2>
	place <The fight- Metal Sonic side>
	place <Top Story Tonight>
	place <To court>
	place <Choose>
	place <Metal Sonic Start>
	place <Shadow Start>
	place <Meta Tails>
	place <Metal- Streets>
	place <Metal- Alley>
	place <Metal- Rooftop>
	place <Shadow- Streets>
	place <Metal- Sewers>
	place <Hidden Hideout METAL>
	place <Shadow- Tree>
	place <Shadow- Alleyway>
	place <Shadow- Sewers>
	place <Shadow- Streets>
	place <Shadow- 2nd sewer>
	place <HIDDEN HIDEOUT  SHADOW>
	place <Battle Royale>
	place <Operation 1>
	place <Operation 2>
	place <Battle Royale Lose1>
	place <B.R.L.3>
	place <Finished Battle Royale>
	place <Prepare>
	script if ask <Are you SURE you want to spoil the game?> then helpmsg <Welcome, cheater!|nThis is the teleport room!|nYou can skip the game and see the ending, go to your favorite|nchapter, and MORE!|nEnjoy!> else goto <Egg Base- Hallway>
end define

define room <Egg Base- Mess Hall>
	look <The mess hall.... it's empty.... I doubt I'll find the batteries in here....|nbut, it's best to check anyway.....|n|n  S.H.|n|nHallway|nBench>
	place <Egg Base- Hallway>
	command <super_info> {
		say <What to do--|n|n  "take" the bench.|n|n  Press the off switch.|n|n  Go to the off-ice|n|n  pick Dagger>
		if ask <You sure you want the walkthrough?> then msg <Okay, follow the directions,|n IN ORDER> else goto <Egg Base- Hallway>
	}

	define object <bench>
		look <Nice.... comfy..... bench......>
		take {
			msg <I'm just... takin a small.....|nnap.....>
			goto <Egg Base- Locked Room>
		}
		speak <" I want to sit on you!">
		examine <It looks even comfier now!>
		displaytype <bench>
		article <it>
		gender <it>
	end define

end define

define room <Egg Base- Lab>
	look <There's nothing in here..... except for that locked door....>
	place <Egg Base- Hallway>
end define

define room <Egg Base- Locked Room>
	look <Uhh, my head, what? I'm on a table?|nWhat the? A shadowy figure?|nS.F: Hello, Metal!|nM: That voice..... it's, it's---|nTails: Me, Tails! |nM: What do you want?|nT: Nothing, except to destroy you! MUAHAHAHAHA!|nM: And how?|nT: That's an easy one-- you have an off button on your back....|nM: I..... didn't notice that..... no! I WILL FIGHT!|nT: How can you? Your A.I. batteries are almost out!|nM: Oh crud.... oh.........c.......r.....u.......SYSTEM OFFLINE|nT: Finally! Now, the world can play as me in this game!|nOh, poppycock, I can't GET to his back-- he's lying face-up on a table!|nI've got to unlock him, but where's that key?>
	script if ask <Do you want to play as Tails in this mission?> then {
		msg <Here we go:>
		goto <Egg Base- Lab later>
	}
	else goto <Egg Base- Locked Room 2nd Ending>
end define

define room <Egg Base- Locked Room 2nd Ending>
	look <Voice: Well, Tails is gone! I'd better fix Metal.... here ya go.... pop that there....|nM: SYSTEMS ONLINE! Wha-- who are you?|nE: I am Dr. Eggman! Your creator.|nM: Oh, sir, it's such an honor....|nE: Don't get distracted, Metal, you have a job to do!|nM: What's that?|nE: Restore your memory! Don't let ANYTHING stand in your way!|nM: Got it, kill Tails now, don't ask questions at all.|nE: Egg-zactly! Gotta go!|nT: Doo doo doo.... got the key-ey-eeeeeeee how'd you get out?|nM: I got a little help....|nT: Okay... I'm dead, unless I can get to that off button....>
	script choose <Choose a player!>
end define

define room <Egg Base- Lab later>
	look <Key, key, where is that key?|nLet's see, desk, cupboard, and a vault....>
	place <>

	define object <desk>
		look <I'd better check it.>
		speak <Stupid desk....>
		examine <Hmm..... nope..>
		displaytype <thing>
		article <it>
		gender <it>
	end define

	define object <cupboard>
		look <That looks reasonable!>
		take {
			msg <Hmm, turns out it opens the|nvault....>
			hide <vault>
			show <open vault>
		}
		speak <Thank you!>
		examine <Lemme check..... yes!>
		displaytype <thing>
		article <it>
		gender <it>
	end define

	define object <vault>
		look <Now that's gotta have it.>
		speak <Stupid vault....>
		examine <Lemme check it.... {wua wua wuaaaaaaa} I need a key.>
		displaytype <thing>
		article <it>
		gender <it>
	end define

	define object <open vault>
		look <Hmm, it LOOKS empty...>
		take {
			msg <Well, it isn't there....|noh well, good thing I keep|na spare key under..... the.....|ndoor...mat.....DANG IT!>
			show <key>
		}
		speak <I HATE you.>
		examine <Hmm..... DANG IT! It's not there!>
		displaytype <thing>
		article <it>
		gender <it>
		hidden
	end define

	define object <key>
		look <The key>
		take {
			msg <Oh, there it is. Time to go|ninside.... but wait.....>
			goto <Locked Room part 2>
		}
		speak <It's a key.>
		examine <The key>
		displaytype <thing>
		article <it>
		gender <it>
		hidden
	end define

end define

define room <Locked Room part 2>
	look <T: Sorry I'm late, I had to go to Wal-Mart and see if they had any enchil-- HOLY BURRITOS!|nM: Hello, Tails.... (cracks robot knuckles)|nT: Okay... I'm dead, unless I can get to that off button....>
	script choose <Choose a player!>
end define

define room <The fight- Metal Sonic side>
	look <Metal jumps up, Tails flies, BOOSH BANG BAM BIM POW PISHOOSH!!!|nTIKIODKGXFKLJGHSDFIBHCF DS SDZGDGS  JIZJGDG HDXIF JI GFVJIO FD ZJOX|nBOOOOOOOMMMMMMMM!!!!!!!!!!!!!! In the end, Metal Sonic won.|nAlright, the emerald! Let's see......|n|n|n     3 new words!|n|nSuper Form|nHyper Form|nMetal Overlord>
	place <Top Story Tonight>
end define

define room <The fight- Tails>
	look <Metal jumps up, Tails flies, BOOSH BANG BAM BIM POW PISHOOSH!!!|nTIKIODKGXFKLJGHSDFIBHCF DS SDZGDGS  JIZJGDG HDXIF JI GFVJIO FD ZJOX|nBOOOOOOOMMMMMMMM!!!!!!!!!!!!! Crash! Tails comes out, holding the emerald in 1 hand,|ndragging his Head and body out. But, then, Metal comes out and crushes the head!|n               YOU BETTED WRONG!|n|n|n|n                                   GAME      OVER>
	script playerlose
end define

define room <Top Story Tonight>
	look <Good Evening, and welcome to Evening News @ 7:00|nToday, we have a special guest, Metal Sonic! Metal Sonic, it has been said|nthat you were caught MURDERING 2 CREATURES, how do you plead?|nM: Guilty, and uh, who are you? What is this?|nPerson: I am The Anchorman, this is Evening News @ 7:00 P.M.|nM: Okay. I understand.|nA: Okay, to COURT!|nM: Wha?|nWhat instincts to follow?>
	place <To court>
	script displaytext <After Beating Tails>
end define

define room <To court>
	look <I hope I decide soon, I could end up in jail! |nOkay, this obviously requires some sophistication, patience, and no killing....|nJudge: Now, Metal, the offendant states that she has seen you MURDERING, |nquite gorely, I might add, Sonic T. Hedgehog, age 15, and Miles Prower, age 8.|nHow do you plead?|nM: Your honor, may I speak?|nJ: This better be good.|nM: It is, because I know I'm guilty, but HOW EXACTLY DID the offendant SEE me?|nI scanned the horizons, no security cameras, no holes in the wall, no witnesses.|nHOW DID SHE?|nJ: Very good question. Yes, how did you?|nO: Well, your honor, I used binoculars and looked through the window and...|nJ: Hold on, Metal Sonic? Were there any windows on the premises?|nM: No, not at all, and the door was locked shut from the inside, it still is!|nJ: IT IS?|nM: Yeah!|nM: Who are you, anyway?|nJ: Yes, who are you?|nO: Oh, uhh, umm..... I uh..... have no name!|nM: Impossible.|nO: I'm outta here!|nZIP!>
	place <Choose>
end define

define room <Choose>
	look <Finish this stuff.>
	script choose <Character select>
end define

define room <Metal Sonic Start>
	look <Now, Metal Sonic starts off busting out of the court.|nM: All right.... where to go?|n|n|n  Streets|n|n  Alleyway>
	place <Metal- Streets>
	place <Metal- Alley>
end define

define room <Shadow Start>
	look <S: Hmm? It seems like that robot needs to know where that strange female went.....|nWell, I'll find her before him, because there's obviously money involved......|nTime to go!|n|n|n|n   Rooftop ladder|n|n   Tree>
	place <Shadow- Tree>
	place <Shadow- Alleyway>
end define

define room <Meta Tails>
	look <Systems...... online........ MUST ELIMINATE|nHYPER METAL SONIC! Current location: 2 miles away. More like 2 milliseconds away,|n but I wouldn't want to startle him, now would I?|n|n|n    Operation: S.tartle, T.hen K.ill|n|n    Operation: W.ait for W.hole W.orld 2. C. (see>
	place <Operation 1>
	place <Operation 2>
end define

define room <Metal- Streets>
	look <The streets are quiet.... |nwhy would the A.F. be around here?>
	place <Metal Sonic Start>
end define

define room <Metal- Alley>
	look <[You take a peek inside, and see a shadowy figure]|nCome out with your hands UP!|nS.F: [with male voice] Hey, I'm not your culprit.|nM: Then, who are you?|nS: I'm Shadow the hedgehog, ultimate life form....|nM: I don't care if you're the biggest mortal ever, MAGGOT!|nS: Hey, no need to get snippy.|nM: You're right.... we'll go seperate ways.....|nS: Got it....|n[Shadow exits]|n(pfft.... "I'm the ultimate life form", you're just a mortal.... like the rest of 'em....)|nHmm, there's a ladder, a sewage pipe, and the way back......>
	place <Metal Sonic Start>
	place <Metal- Rooftop>
	place <Metal- Sewers>
end define

define room <Metal- Rooftop>
	look <Hmm, any suspicious activity? Nope....|ntime to go back.....>
	place <Metal- Alley>
end define

define room <Metal- Sewers>
	look <Hmm..... if the culprit's a female, her instncts would tell her not to go down here.....|nbut there's still a chance.... time to go!|n|nS.H.|n|n|n  Switch|n|n  Ladder>
	place <Metal- Alley>

	define object <Switch>
		look <A slippery switch>
		take show <Entrance to who knows where>
		speak <You disgust me.>
		examine <A cold, vile, rodent-infested, slimy, smelly, slippery switch. Perfect.>
	end define

	define object <Entrance to who knows where>
		look <A hidden entrance.... interesting....>
		take {
			msg <Wow.... the switch drained the|n water.... revealing|n that A.F.'s secret hideout!|n Perfect....>
			goto <Hidden Hideout METAL>
		}
		examine <Such advanced technology, and by advanced, I mean, THESE PEOPLE LIVE IN CAVES!>
		hidden
	end define

end define

define room <Hidden Hideout METAL>
	look <Wow.... amazing.....|n..boring..... that anonymus person could be anywhere....|n|n|n   |n|n  Tent|n |n|n  Drat, the way I came in... is blocked....>
	script timeron <Light passing>

	define object <Tent>
		look <A small tent....>
		speak <Hello?|nV: [Male voice] What?|nM: Never mind!>
		examine <A VERY small tent....>
		displaytype <place>
		article <it>
		gender <it>
	end define

	define object <2nd door>
		look <A door?>
		take goto <Prepare>
		speak <Wow!>
		examine < It IS a door!>
		displaytype <door>
		article <it>
		gender <it>
		hidden
	end define

end define

define room <Shadow- Tree>
	look <Hmm.... if I look down there, it's the robot.... looking for something...|n!!! He's moving! I gotta beat him to where ever!>
	place <Shadow Start>
	script timeron <Sneak time>
end define

define room <Shadow- Alleyway>
	look <Awesome, I beat him there! I- uh-oh, he noticed me....|nM: Who are you?|nS: I'm Shadow the hedgehog. The world's ULTIMATE life form!|nM: Yeah, yeah.... just..... don't interrupt my duty....|n[You walk away, then peek over building side]|nhe's going into the sewers?!|nWell, okay.... he IS my gateway to swag....>
	place <Shadow Start>
	place <Shadow- Sewers>
	place <Shadow- Streets>
	script timeron <Sneak time>

	define object <Outside the alleyway>
		look <Well whaddya know, the exit to the streets!>
		speak <ALRIGHT!>
		hidden
	end define

end define

define room <Shadow- Sewers>
	look <Eww.... huh?|nThe water's been drained...?|nWhat? The robot's climbing down... hey, I wonder what this switch does?|n{PULL LEVER}|nOkay.... EWW...|nthe water's rising some more...I gotta get outta here!>
	place <Shadow- Alleyway>
end define

define room <Shadow- Streets>
	look <Hmm... the streets are quieter at night.... AHA! A sewage pipe, I could use it to get|n into that room that the robot is in!>
	place <Shadow- Alleyway>
	script timeron <Sneak time>
end define

define room <Shadow- 2nd sewer>
	look <Made it.... now, for the question.... AM I READY?>
	script if ask <Are you ready?> then goto <HIDDEN HIDEOUT  SHADOW> else goto <Shadow- Streets>
end define

define room <HIDDEN HIDEOUT  SHADOW>
	look <I was just going to open the door, when......|nit opened! But..... the robot found me..... DRAT! Now, I'm tied to|n a chair by that robot..... until, ANOTHER robot broke in! This one must've|n been on my side, because it fought the B.R.( bad Robot)|n but, it untied me and started fighting me.... BATTLE ROYALE STYLE!>
	script if ask <Are you sure you're ready?> then goto <Battle Royale> else {
		msg <Well, too bad!>
		goto <Battle Royale>
	}
end define

define room <Battle Royale>
	look <Turns out that you need to be Metal to win the game, so... choose a weapon!>
	script choose <Metal again>
end define

define room <Operation 1>
	look <I boosted forward, using my scanning programs, and located a hostage!|nIncoming message from creator: KILL ALL HOSTAGES|nMT: Affirmative, ma'am.|nI boosted forward and slammed into the sewers, only to find exactly what I expected:|n   Target Practice.>
	place <Battle Royale>
end define

define room <Operation 2>
	look <I decieded to wait for a time when the whole world could see.|nI waited so long that I rusted away.>
	script if ask <Do you want another chance?> then goto <Choose> else playerlose
end define

define room <Battle Royale Lose1>
	look <Sorry, won't work here.... luckily, you did the "cheat" option: If you want to, you|n could cheat to the finish.....>
	script if ask <Will you cheat to the end?> then goto <Finished Battle Royale> else playerlose
end define

define room <B.R.L.2>
	look <Too bad! Game Over.....>
	script playerlose
end define

define room <B.R.L.3>
	look <Welcome to the LOSER SQUARE. Youn can either:  Get a Game Over|n                                                                         OR       |n                                                                Use the Battle Replay (this is not a cheat, it's a) (checkpoint) Really. Say yes to restart Battle Royale:>
	script if ask <Do you want to restart to the checkpoint?> then goto <Battle Royale> else playerlose
end define

define room <Finished Battle Royale>
	look <You've aimed carefully to choose the Sniper Rifle! Because that's how|n you win! You get an emerald from Shadow. And a message from Meta Tails.|n|n  Message: Master is still out there, Metal.... please.....  don't kill her.....|n  Metal ripped it up. Time for the emerald.|n     |n|n|n         He was taught 3 more words:|n|n                  Extra Life|n                  Master Emerald|n                  "The Phrase">
	place <Angel Island- Entrance>
end define

define room <Prepare>
	look <So, Shadow..... [smash!] What the?|nS: BATTLE ROYALE!>
	place <Battle Royale>
end define

define room <Angel Island- Entrance>
	look <What?|nNow where am I?|nSCANNING AREA:|nANGEL ISLAND.|nOkay..... I'd better explore!|n|nCaves|nForest>
	place <Angel Island- Caves>
	place <Angel Island- Forest>
end define

define room <Angel Island- Caves>
	look <Wow..... a cave......|nI wonder where it leads to?|n|nLost Caves|nTown|n>
	place <Angel Island- Entrance>
	place <Angel Island- Town>
	place <Angel Island- Lost Caves>
end define

define room <Angel Island- Forest>
	look <Hmm......... this forest is big,|n hmm? I see a light!|n|n|nTown>
	place <Angel Island- Entrance>
	place <Angel Island- Town>
end define

define room <Angel Island- Town>
	look <What the?|n A town?|nThere are 2 people out right now....|n|nCaves|nForest|nGate>
	place <Angel Island- Caves>
	place <Angel Island- Forest>
	place <Angel Island- Gate>

	define object <Echidna Male>
		look <A male echidna>
		speak {
			say <Hello, one who shines in blue,|n I tell you, there dragon,|n stronger than we. He come|n on 5:00 to schorch me village.|n I ask you, you do it?|n He live in lost cave!>
			if ask <Accept the mission?> then goto <Angel Island- Caves> else say <Oh, then we upset....>
		}
		examine <A 3 ft, 5 inches echidna. MALE.>
		displaytype <person>
		article <he>
		gender <he>
	end define

	define object <Echidna Female>
		look <A female echidna.>
		speak choose <Speak to>
		examine <A female echidna.>
	end define

end define

define room <Angel Island- Gate>
	look <A gate, with a guardian.|nG: STOP! Who goes there?|nM: Metal Sonic, of Mobius.|nG: No one may enter Ice Cap Mountain without a pass!|n( this guy's a real charmer...)|nM: I'm looking for an anonymus female, have you seen any?|nG: Describe.|nM: Black coat, can't see her face, black boots--|nG: Any hammers?|nM: None that I know of.|nG: Then I do not know.|nM: Okay.|n|nTown|n|n|n|n>
	place <Angel Island- Town>
end define

define room <Angel Island- Lost Caves>
	look <The lost caves......|n there's a skeleton of an echidna.... let's see.....|n the blood's still wet.....|n {rough breath running down your back}|n .... [look behind]|n {enter dragon}|n.....|nM: Okay.... I'm gonna equip a weapon...|nD: {in rough voice} Hold on.|nM: You talk?|nD: Of course, just no one's ever listened.>
	place <Angel Island- Burned Village>
	script if ask <Talk to the dragon?> then msg <M: Why do you burn the|n village?|nD: Burn the village?|nM: Yeah, they say you burn it.|nD: NO! Lightning does that,|n I just check on them.|n Y'see, I'm watching my diet...|nM: So, you're a female?|nD: NO! Who says men can't|n go on diets?|nM: Very well. I shall tell the|n village that you mean no|n harm....|nD: I'll come with you, to prove|n it.> else {
		msg <M: I don't want to talk....>
		goto <Angel Island- Caves>
	}
end define

define room <Angel Island- Burned Village>
	look <What the?|nM: The town is burned down!|nE: He.....l..p.....|nM: What happened?|nE: Woman in black..... hammer..... gasoline...... match.....|nD: This is horrible!|nM: Where did she go?|nE: Ice.....Cap...... {dies}|nM: Come on, dragon, let's go!>
	place <Angel Island- Burned Gate>
end define

define room <Angel Island- Burned Gate>
	look <G: HALT!|nM: You're not dead?|nG: No.|nM: But we need to get to Ice Cap!|nG: The only way to get in is to.... take me to my house in the lost woods!|nM: What!? Oh, fine..... come on.....>
	place <Angel Island- Lost Woods>
end define

define room <Angel Island- Lost Woods>
	look <The Lost Woods.....|nM: Alright you 2, let's make our way through!|n|n|ndeeper|ndeep>
	place <deep>
	place <deeper>
end define

define room <deeper>
	look <Alright, we're going deeper into the woods.....|n what next?|nG: Careful, Metal, there's said to be a dangerous Turantula around here....|nM: How big?|nG: The only people who know have only seen it's legs...|nM: And?|nG: 1 leg is 564635654 times bigger than you.|nM: HOW DOES IT FIT ON THIS ISLAND?|nG: I dunno.|nD: Guys, look! A cave!|nM: AND a humngus web.|n|nCave|nweb|n|nWhich to choose?>
	place <Angel Island- Lost Woods>
	place <cave>
	place <web>
end define

define room <deep>
	look <Now, we're deep in the jungle.|nG: Careful Metal, there's said to be a tiger around here....|nM: {pulls out minigun} Don't worry.|nD: Wow! There's a really big spider web over there!|nM: ( it's too easy...)|n|neven deeper|nweb>
	place <Angel Island- Lost Woods>
	place <web>
	place <even deeper>
end define

define room <cave>
	look <Wow.... a cave....|n{turns on flashlight}|n{enter turantula}|nM: Th-th-th-th-that's a BIIIIIG spider.....|n{spider bites heads off}|n|n   GAME OVER!>
	script if ask <Do you want to go back to the lost woods?> then goto <Angel Island- Lost Woods> else playerlose
end define

define room <web>
	look <Wow.....|nM: There's no one here....|nG: Good.....|nM: Scanners indicate that your house is a tree house...|nG: ... yeah.|nM: Let's start climbing.|n|nTreetop>
	place <treetop>
end define

define room <even deeper>
	look <M: Hmm...... !!!|nG: Tiger!|n{tiger kills them all}|n|n|n        GAME OVER>
	script if ask <Want to go back to Lost Woods?> then goto <Angel Island- Lost Woods> else playerlose
end define

define room <treetop>
	look <M: Well, we're on the treetop....|nG: And there's my house!|nM: Can I please enter Ice Cap Mountain now?|nG: What? Oh, oh... sure. Whatever.....|nM: So, Dragon, are you coming with me?|nD: Of course! This sounds like a fun trip!|nM: Wait.....|nD: What?|nM: There's something over there at Hewewe, see?|nD: Hmm.... yeah, what is that?|nM: It looks like...... an echidna! Let's go, NOW!>
	place <Burned Hewewe>
end define

define room <Burned Hewewe>
	look <M: Pant.... pant.....|nD: Woo boy....|nEchidna: What the? A life- killing robot and a fire- breathing dragon?|nM: [whispering to dragon] I think you'd better run now...|nM: Who are you?|nK: I am Knuckles the echidna, and it seems like you two destroyed my home!|nD: We didn't!|nK: Sorry, ain't gonna believe it.|nM: Well, Knuckles, don't try to beat me, I have already killed Sonic, Shadow, and Tails.|nK: Oh, so you murdered my friends too (except for Shadow)? I'm gonna avenge them!|nM: Dragon, prepare to engage battle!>
	place <Ice Cap- Foot>
	script choose <weapon>
end define

define room <Ice Cap- Foot>
	look <M: Well Dragon, we're at the foot of the mountain. Better get moving!|nLet's see, and the usual path up.>
	place <Ice Cap- Ski Lift>
	script displaytext <After Knuckling Knuckles>
end define

define room <Ice Cap- Ski Lift>
	look <D: There's a ski lift! Let's use it to get to the top!|nM: I dunno, I mean, it's too easy....|nD: Well, it's either that, or we walk up.|nSki Lift|nCaves>
	place <Ice Cap- Foot>

	define object <ski lift>
		look <It SEEMS like a normal ski lift.>
		take {
			msg <M: Yeah, you're right....|n it works fine!|nD: Great! I wonder how high it|n goes.....>
			goto <Ice Cap- Head>
		}
		speak <Hello?|nIt SOUNDS like a normal ski lift.>
		examine <It LOOKS like a normal ski lift.>
		displaytype <lift>
		article <it>
		gender <it>
	end define

end define

define room <Ice Cap- Head>
	look <M: Wow. It's just a ski lift.|nD: Yeah..... we're at the top......|nM: But wait, that DOESN'T look like a female over there..... it looks like....|nM&D: KNUCKLES!|nK: Ding-a-ling! I'm back!|nD: What happened to you? You're all-|nK: Scorched up? I know. All thanks to YOUR flames down there! I was still alive....|n then the flames rose and LOOK AT ME!|nM: They weren't our flames, Knuckles. And we're going to prove it!|nK: Try to. I have a 300 ft radius blasting bomb here....{starts to cry} and you killed my friends, my hometown, and I'm going to avenge them....|nM: Look, you have every right to be upset about your friends-|nK:- EVEN IF I HAVE TO KILL MYSELF IN THE PROCESS!|nD: Umm, Metal, I have a bad feeling about this.....|nK: PREPARE TO DIE IN 30 SECONDS!!|nM: GRAB A SNOWBOARD AND RUN!>
	place <Ice Cap- Snowboard>
	command <skip_down_mountain> goto <Ice Cap- Finale>
end define

define room <Ice Cap- Snowboard>
	look <SNOWBOARD FOR YOUR LIVES!>
	script {
		timeron <Knuckles Explosion>
		choose <Character>
	}
end define

define room <Ice Cap- Finale>
	look <WHOOSH!|nM: We made it down!|nD: Yeah, but Ice Cap Mountain is gonna flood us!|nM: Oh yeah.|nM&D: AAAAAAHHHHHHHHHH!!!!!|nKA-BOOOM!!!|nM: (This is it..... this is the end....)|n{Heroes faint}>
	place <Cemetary>
end define

define room <Cemetary>
	look <{Metal wakes up}|nM: What the? Shadow?|nS: Huh? AAAAHHHH! He's alive!|nM: Of course I'm.... wait... I'm alive? YIPEE!|nS: Stop yer yapping. I was going to bury your corpse.|nM: ( He WAS, huh? That tells me something.)|n{ Dragon wakes up}|nD: Yawn.... wha?|nM: Oh, hello Dragon.|nD: I had the craziest dream. Shadow was saying you were alive Meta-|n{Shadow & Metal look at him}|nD: Oh.|n{spirits arise from graves}|nM,D&S: !?|n{Sonic, Tails and Knuckles spirits notice them}|nSpirits: Oh, hi Metal, Shadow,|nSS&TS: And a dragon.|n(simultaneously)|nKS: And Dragon.|nSp: !?|n{Metal and Dragon faint}|nS: Guys? Oh my....>
	place <Morph>
	script displaytext <After Escaping Knuckles>
end define

define room <Morph>
	look <Sonic Spirit: Form Of The feet and Face!|nTails Spirit: Form Of The Tails and Fur-things!|nKnux Sirit: Form of The Hands and Spikes!|nAll: Together we form: SONAICKLES!>
	script choose <Sonaickles>
end define

define room <Egg Fortress- Hallway>
	look <Metal warps to a hallway.|nM: SCANNING HORIZONS:|nAREA: EGG FORTRESS|nM: Why did the emerald warp me HERE? !|nM: The creator must be here! He MUST have an emerald!|nM: Time to go.|n|nReceptionist Room|nMess Hall>
	place <Egg Fortress- Receptionists Room>
	place <Egg Fortress- Mess Hall>
	script displaytext <After Busting Spirits>
end define

define room <Egg Fortress- Receptionists Room>
	look <The Receptionist's room.|nM: Hello.|nR: Oh, hello..... creation 0934.|nM: The name is METAL......Sonic.|nR: Yeah, whatevuh.|nM: That Black face! You! You're the one from court!|nA.F: You.... must have me mistaken, I've never seen you before, Metal Sonic.|nM: ....|nA.F: .....|nM: I'm giving you 10 seconds.....|n{A.F. speeds off}|nM: Oh, no you don't!|n|nHallway>
	place <Egg Fortress- Elevator>
end define

define room <Egg Fortress- Mess Hall>
	look <Nothing Here.>
	place <Egg Fortress- Hallway>
end define

define room <Egg Fortress- Elevator>
	look <{A.F. goes up elevator}|nM: Drat! That was the only one....|n'ding'!|nM:.... CREATOR?|nE: Oh, hello Metal.|nM: Where's that anonymus female?|nE: Her? Rouge the bat?|nM: Black face?|nE: Couldn't tell.|nM: That's her.|nE: Guards, could you please catch Rouge the Bat? She's running around unauthorized.|nG: Yes sir.|nE: Okay Metal, the guards will catch her.|n{1 hour later}|nE: Alright Metal, let's go. Metal? He's in sleep mode. I'll catch her.|n|n2nd Floor:|n|nHere I am.|n|nFile Room|nRestroom|nCreation Room|nElevator2>
	place <E.F.- Restroom>
	place <E.F.- File Room>
	place <E.F.- Creation Room>
	place <E.F.- Elevator 2>
end define

define room <E.F.- File Room>
	look <The file room....|nE: Hello? Hello?|nNo answer.|nBack to the hallway.|n|nRestroom|nCreation Room|nElevator2>
	place <E.F.- Restroom>
	place <E.F.- Creation Room>
	place <E.F.- Elevator 2>
end define

define room <E.F.- Restroom>
	look <Hmm? Helllloooooooooo?|nE: No one here.|n[smash]|nE: What the?|n[dash]|nE: Who-o-o's there?|n{enter Sonic with knife}|nE: AAAAAHHHHHHH!!!!!!!|n{Meanwhile}|n{Metal wakes up}|nE: (in distance) AAAAAHHHHHH!!!!!!!!|nM: Huh? Wha? Creator!|n[later]|nM: I got here as fast as I could.|n{Eggman in corner curdled up}|nE: S-S-S-S-S-Sonic! AAAAAHHHHHHHHHHHHHHHHH!!!!!!!!|nM: Nonononono, it's me, Metal.|nE: Oh.... we need to go to my office! On the 3rd floor!>
	place <E.F- 3rd Floor>
end define

define room <E.F.- Creation Room>
	look <Hellooo?|nNo one.|n|nFile Room|nRestroom>
	place <E.F.- File Room>
	place <E.F.- Restroom>
	place <E.F.- Elevator 2>
end define

define room <E.F.- Elevator 2>
	look <DRAT! It's up there, not down here.>
	place <E.F.- File Room>
	place <E.F.- Restroom>
	place <E.F.- Creation Room>
end define

define room <E.F- 3rd Floor>
	look <M&E: WHAT IN THE NAME OF DOCTOR GERALD ROBOTNIK!?!?!?!?!?!?|n{turn camera to thousands of destroyed robot guards}|nE: My guards, my precious guards.... GONE!|nM: Oh no....|nSonic in background: And now, to kill you, ASSISTANT-BOT!|nE: NNNNOOOOOOOOOOO!!!!!!!!!!!!|n{boom in background}|nE: No-ho-ho-hoooooo...... Assistant-bot was my second favorite robot.....|n it took me almost as long as you to make!|nM: Well, if Sonic thinks he can just destroy my creator's prized possessions then he's|n DEAD AND DEAD WRONG! Here I come, Sonic....>
	place <E.F.- Eggman's Office>
end define

define room <E.F.- Eggman's Office>
	look <M: I may be making a HUGE mistake, but I MUST kill Sonic!  AGAIN!|nSonic: Hello, Metal! Prepare to meet your maker!|nM: I already have.|nS: Look, I meant KILL you, not show you who created you.|nM: I know. I've died before.|nS: Well, PREPARE TO TURN BLACK AND BLUE!|nM: I AM black and blue. AND grey.|nS: Ahhh, forget the lame speech, I'm gonna kill you!|nM: My pleasure to do the same to you.|n{Metal pulls out minigun}|n{Sonic looks at his knife, then at Metal's minigun, then looks at screen, knowing|n his fate.} S: Oh poo.|nYou can tell what happens then.|n|n[Meanwhile]|n|nE: AAAAHHHH! METAL! HELP!|nM: Yeah? I just killed Sonic!|nE: Yes, that's very nice, but Rouge is going to--|n{slice}|n{Metal's pupils grow bigger, then he gets an Over the top Mad look on his face}|nR: Hello Metal.|nM: Time to die.>
	place <E.F.-Boss>
end define

define room <E.F.-Boss>
	look <Fight Rouge!>
	script choose <Rouge>
end define

define room <End good>
	look <The end!>
	script {
		displaytext <After Rotting Rouge (good)>
		stop
	}
end define

define room <Area 51>
	look <This is the interior of Area 51!|nM: Hmm.... it's quiet here..... TOO quiet....|n(on P.A.) Male robot Voice: Hello, Metal.|nM: Wha?|nMK: I am MekakuKnux!|nM: Say what?|nMK: Mecha Knuckles.|nM: Oh.|nMK: Please come to the Rosswell, New Mexico artifacts room.|nM: ?|nMK: 2 rooms to your right. You MUST use the compass!>
	north msg <MK: MUAHAHAHAHAHAHAHAHA!>
	south msg <MUAHAHAHAHAHAHA!>
	east <Area 51 Screening Room>
	west <Area 51 SECRET ROOM>
	northwest msg <MK: MUAHAHAHAHAHAHA!>
	northeast msg <MUAHAHAHAHAHAHAAHAHA!>
	southwest msg <MUAHAHAHAHAHAHAHA!>
	southeast msg <MUAHAHAHAHAHAHAHAHA!>
end define

define room <Area 51 Screening Room>
	look <The sreening room....|nMK: (On P.A.) Before you go any further, make sure you're prepared to fight.|nM: Check.|nMK: Good. Then, face the newest invention of the government, The Screaming Room!|nMUAHAHAHAHAHAAHAHHAHAHAAHA!!!!!! IF YOU GET OUT ALIVE, I'LL GIVE YOU A COOKIE!|nM: Wha?|n{ spirits rise}|nM: Uh-oh....|nHow do I fight them?>
	west <Area 51>
	command <warp_me_there_now_please> goto <Area 51 Rosswell, New Mexico Artifacts Room>

	define object <lamppost>
		look <A lamppost.>
		take <You grab it, turn it on, and it does not work. Get batteries!>
		examine <A light.>
		displaytype <light>
		article <it>
		gender <it>
	end define

	define object <batteries>
		look <Oh boy!>
		take <You take them.>
		examine <Oh boyoboyoboyoboyobyoboy>
		displaytype <things>
		article <them>
		gender <it>
		hidden
		use on <lamppost> {
			msg <You put the batteries in the lamp, and the ghosts get scared of the light!|nMK: Grr..... alright, very good.|n But not good enough. How do you do against... this puzzle?!|n|nA giant map pops out, and it's of|n your entire journey! But, one area's missing-- the Junkyard!|nMK: Solve this puzzle and you shall move on to me.>
			show <giant map>
		}
		give to <lamppost> create exit east <Area 51 Screening Room; Area 51 Rosswell, New Mexico Artifacts Room>
	end define

	define object <statue>
		look <A mysterious statue.>
		take show <batteries>
		examine <Looking at it makes me feel eerie.....>
		displaytype <what>
		article <ugly>
		gender <hmm>
	end define

	define object <giant map>
		look <Wow! A huge map! There's Angel Island, and Ice Cap, and Egg Fortress, and even the streets of Station Square!>
		examine <Huh? What's this? A section's missing, it must be the junkyard!>
		hidden
		use <map> {
			msg <You put the Junkyard Map into the missing slot, and it fits!|nMK: Well, well... looks like you've solved the puzzle. Not a hard one, huh? Well, you'll get to something tough....|n|nA door opens, the Artifacts Room!>
			show <a door>
		}
	end define

	define object <a door>
		take goto <Area 51 Rosswell, New Mexico Artifacts Room>
		hidden
	end define

end define

define room <Multiplayer Lobby>
	look <Welcome player, to the Metal Sonic's Quest Lobby!|nThis is where you can chat, challenge others and get help in the game!|nOr get into the single player adventure! Choose now!>
	place <Unlockable Hall>
	script timeroff <Search time!>

	define object <Lobby Desk>
		look <The Lobby Desk.>
		speak choose <Multiplayer>
		examine <A cyber-netic desk.>
		displaytype <desk>
		article <it>
		gender <it>
	end define

	define object <Unlockable>
		look <Cool....>
		take goto <Metal's Past- Egg Fleet>
		speak <It is cool!>
		examine <This is cool!>
		displaytype <extras>
		article <them>
		gender <them>
		hidden
	end define

	define object <Do push-ups>
		take msg <You start doing push-ups.|n1|n2|n3|n4|n5|n6|n7|n8|n99|n100.|nYou're done.>
		hidden
	end define

	define object <Strange Man>
		look <A strange old man in a white coat, sitting on a chair.>
		speak {
			msg <Y: Hello?|nMan: Grumble, mumble...|nY: HEY! UGLY! HELLO!|nMan: Grr.. what?|nY: What are you doing here?|nMan: I lost my briefcase.|nY: And...?|nMan: It had a Demo of MSQ2 in it!|nY: !!! WOW! There's gonna be|n an MSQ2?!|nMan: Yup. I'm the co-creator of it:|n Mr. Metalism.|nY: So, where did you last SEE the briefcase?|nM: How the HECK should I know? Somewhere in the Main Game, that's all I know!>
			displaytext <After Speaking to Mr. Metalism>
		}
		examine <Upon further observation, he has a scar on his left hand, and a brown hat.>
		give <Briefcase> {
			msg <M: Say! You've found my briefcase!|nY: All in a day's work. So, can I play that demo?|nM: What? Oh, sure. Go to Unlockable Hall.|nY: Oh, boy!>
			show <Demo Stand>
		}
	end define

end define

define room <Campaign mode- Start point, Metal>
	look <Welcome to the ultimate showdown with Sonic the Hedgehog!|nYour commander's name is Recycled Metal, what happened, was Sonic smashed him down,|n and Eggman, with an etra life, fixed him and gave him an awesome battle suit!|nSonic is now 45, it has been 30 years since Metal Sonic's Quest, Metal has cloned himself, now, it's time to fight! P.S. you are one of his clones.|nChapter 2: Mission Breakling|nM: Initiate wake mode, people, it's time to WAKE UP!|nYou: What's all the hubub, Commander Metal?|nM: It's 0:300 hours, 3 A.M., the enemy's forces are asleep! We shall invade NOW!|nY: Yes, SIR!|nM: Move, move, move, MOVE!|nM: To the plan room, NOW!>
	place <Campaign Mode- Plan room>
end define

define room <Campaign Mode- Plan room>
	look <MekakuKnux: Alright guys, 'bots on left are Team Alpha, Commander Metal is their leader.|nMK: Right siders are Team Beta, I am their leader.|nMK: Everyone else, Team Epsilon, have no leader.|n{you were on the right side}|nMK: Okay, break up! Team Alpha, go to C.M! Team Beta stay here! Team Epsilon, do whatever.|n{the plan}|nNow, you, you, you, you and you, shall be The Rebels. Your job is to distract|n some attention to the left side of enemy territory. You, and you are|n Mr. and Ms. Smith. Your job is to sneak inside, now, if you're noticed, you'll|n be in costume, so just say that you're Mr. and Ms. Smith. If they don't believe you,|n report. Now, YOU! {you} YOU are th most important part of Mission Breakling,|n your job is to get inside, and into the room with Sonikku in it. You are The Reporter.|n When you're inside the base, I'll tell you what to do via transmissions. Now MOVE!>
	place <Campaign Mode- Target Achiever-034>
end define

define room <Campaign Select>
	look <Choose your side.|n|n|nFreedom Fighters (Sonic)|n|nRobot Wranglers (Metal)>
	script choose <Campaign select>
end define

define room <Area 51 SECRET ROOM>
	look <You stumble upon THE SECRET ROOM!|nWhat happens in here? You'll find out soon....|n1 thing's for sure, this place is the most eerie room I've ever seen! Let's get outta here!>
	east <Area 51>
	script give <Hidden Key>
	command <gimme_it_or_else> give <Hidden Key>

	define object <Hidden Key>
		look <What is this?>
		take <Wha? A key?>
		examine <It's a key! But, what does it unlock?>
	end define

end define

define room <Area 51 Rosswell, New Mexico Artifacts Room>
	look <M: I'm here Mecha Knuckles, now where's my coo....k....i....e.....?|n{turn camera to huge shadow of a robot that is shaped like Knuckles}|nM: Hubba ......|n{turn camera to Mecha Knuckles, same size as Metal}|nM: Oh.|nMK: Hello Metal.|nM: Hello, Mecha. Who created you?|nMK: Rouge the bat. She's kinda smart ya know.|nM: She is NOT!|nMK: Oh, be quiet, will you? I'm going to give you 1 minute.....|nM: I won't budge. What do you want?|nMK: To avenge my creator.|nM: Okay, I see where this is going.....|nMK: Where?|nM: Listen: I avenged my creator by killing yours, now you're going to avenge YOUR creator|n by killing me. Next, something I made is going to avenge it's creator by killing YOU!|nMK: ...|nM: Ok, I'll engage attack mode now.>
	place <Area 51- Boss>
end define

define room <Area 51- Boss>
	look <Engaging Attack Mode!>
	place <Area 51 Boss part2>
	script {
		choose <Final Boss>
		timeron <Reflex time>
	}
end define

define room <Area 51 Boss part2>
	look <Hurry!>
	place <Area 51 FINAL boss>
	script {
		choose <Final Boss>
		timeron <Round 2>
	}
end define

define room <Area 51 FINAL boss>
	look <Last one!>
	place <Game Complete!>
	script {
		timeron <Final shot>
		choose <Final Boss>
	}
end define

define room <Game Complete!>
	look <Congratulations!|nYou have defeated Mecha Knuckles and gotten all 7 chaos emeralds! What about Metal's past? You'll find out when you've earned it....>
	script {
		displaytext <After Cracking Mecha>
		msg <Congrats! Now you can look at an extra in the lobby!>
		show <Unlockable>
		show <Chapter Select>
	}
	use <Hidden Key> goto <Extra-start>
end define

define room <Extra-start>
	look <{rumble rumble}|nM: What the?|n{ CRASH!}|nMK: Metal.... I SHALL avenge my creator! No matter WHAT!|nM: Whoa there Mecha, don't get hasty....|nMK: I'm taking these emeralds!|n{grabs emeralds}|nMK: MUAHAHAHAAHAHAHAHHAHAHAHAHAHAHAAAAAAAAA!!!!!!!!!!!!!!!!!!!!!!|nM: Whoa.|n{MK transforms into Mecha Conqueror}|nMC: MUAHAHA! All living things kneel before your master!|nM: Grr.... that's MY line! He's gonna pay... BIG TIME!|n(But how to do that?)|nDock|nRocket>
	script displaytext <After getting the Key>

	define object <Control Pad>
		look <It controls something.>
		take {
			msg <You turn the thing on. The rocket rumbles and takes off. You press|n the "Come Back" buton, it|n lands. " It appears as if I need to|n get inside the rocket and use it|n to hit MC....">
			show <stick>
		}
		speak <How am I going to use this?>
		examine <Hmm.... it controls this rocket.>
	end define

	define object <stick>
		look <A stick.>
		take <There MAY be a use to this...>
		speak <Who would need this?>
		examine <A small, wooden stick.>
		hidden
		use on <Control Pad> {
			msg <You enter the rocket and throw the stick at the control panel. The rocket takes off, and you get up to|n MC's head and- BAM! Right in the kisser! You hit him! Only 3 more hits!|n But, MC grows bigger and blasts|n the room away. He's traveling|n to the city to blow it up! You've|n got to beat him there!>
			goto <Extra- Robotropolis>
		}
	end define

	define object <Dock>
		look <Let's see. It's a dock with a me-sized rocket on top. It's right|n next to a control pad.>
		speak <It's tiny, alright, but big enough for me to fit.>
		examine <I may be able to fit inside.>
	end define

end define

define room <Metal's Past- Egg Fleet>
	look <{ Right after Sonic Heroes}|n{Metal awakens}|nM: Huh? Get offa me!|n{Omega lets go}|nM: Oh.... my head..... grr.... that STUPID Sonic! He ruins EVERYTHING!|nO: Why did you do it, Metal?|nM: Because I am the Ulti-|n{Shadow smacks Metal}|nM: Ow.|nS: I'M the Ultimate.|nM: I was going to say Ultimate ROBO-|n{Omega smacks him}|nM: But it's true!|n{Omega smacks him again}|nM: I'm outta here.|n{Flies off}|n[meanwhile]|nM: Ahhh..... Sonic.... you are going DOWN!>
	place <Metal's Past- Seaside Hill>
	place <Multiplayer Lobby>
end define

define room <Extra- Robotropolis>
	look <Welcome to Robobtropolis! You beat him there alright, then you got to a rooftop and|n smacked his face! It barely hurt him, though.|nM: Given up, yet?|nMC: Not anywhere near!|nM: Very well....|nMC: Indeed.|nM: But you shall give in SOMETIME! All robots have a weak spot!|n(But where? Where is his weak spot?)|nAha! His helmet-thing! But I need something strong.....|nsattelite|ngo down the elevator|nmilitary helecopter>

	define object <military helecopter>
		look <A military copter.>
		take msg <You reach for it, but it's too high!>
		speak <Cool.>
		examine <A black one.>
	end define

	define object <sattelite>
		take msg <You throw it at MC, but it doesn't hurt him!>
	end define

	define object <elevator>
		take goto <Extra- Hotel>
	end define

end define

define room <Metal's Past- Seaside Hill>
	look <M: Hello, Sonic!|nS: Metal? You're alive?|nM:...yes.|nT: Sonic, I don't like this....|nM:....|nK: You OK, Sonic?|n{Sonic shivering}|nS: Uh, um... oh, uh, ye-e-e-a-h... I'm uh, fine....|nM: What's the matter, Sonic? Scared?|nS: NO!|nM: Good. Because I'm just warning you about next time we meet.|nS: You'll never beat me, Metal!|nM: Try me!|n{Metal flies off}|nTry to unlock more!>
	place <Metal's Past- Egg Fleet>
	place <Multiplayer Lobby>

	define object <Locked>
		look <Oh boy!>
		take goto <Metal's Past- Egg Base>
		examine <This is great!>
		hidden
	end define

end define

define room <Extra- Hotel>
	look <I had to take the elevator.|nM: Now, anything here?|nHotel guy: Hello, how may I help you?|nM: I need something heavy.|nH: Okay. Here, a desk.|nM: HEAVIER!|nH: A toilet seat.|nM: ....|nH: A pencil?|nM: Okay, now you're just being silly. GIMME THE HEAVIEST THING YOU GOT!|nH: This deluxe king- sized bed?|nM: Perfect!|nYou go out of the hotel and throw the bed.|nSMASH! 2 more hits left!|nMC: Ow.... what was that, a toilet seat?|nM: ....|nMC then made a tornado in the center of the city.|nM: Uh-oh.>
	place <Extra- Tornado>
end define

define room <Extra- Tornado>
	look <You're swirling around in a tornado.|nM: Is that the best you can do?|nMC: .... shut up.|nM: I shall make you pay for stealing my line and still living! AND stealing the chaos emeralds!|nMC: Um.....uh...... well I...... oh yeah?|nM: Ooh. Nice comeback.|nMC: You don't understand, do you?|nM: Yes I do.|nMC: Uh.... no you don't.|nM: Yes I do.|nMC: NO you DON'T.|nM: YES I DO.|nMC: NO YOU.... oh, never mind... I rule.|n(okay, this guy is stupid. Maybe I should remove the helmet, then go inside that empty head of his.) Metal jumps up, and does what he just thought.>
	place <Extra- MC's head>
end define

define room <Extra- MC's head>
	look <M: Wow. I'm inside his head. Nothing in here. I'm not suprised. (rim shot)|nMC: Fine, so you want to play? Ok! Antibodies, GET HIM!|n(few moments later)|nM: You don't have antibodies, you're a robot.|n( I'd better start punching.)|nPUNCH PUNCH PUNCH PUNCH!|nMC: OW! That's it, I'm squishing you! Here comes my FIST!|nM: Uh-oh, I gotta dodge that fist!>
	script choose <Move from side to side>
end define

define room <Extra- Space>
	look <Welcome to space! No air! You don't care, though, you don't breathe.|nM: Well, Mecha Conqueror, you're going down....|nMC: Oh yeah?|nM: YEAH!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! (grabs 7 emeralds away from MC)|nMK: Oh, crud. I'm Mecha Knuckles again! Uh-oh.....|nMO: What?|nM: You're Metal Overlord now.|nMO: (evil smile)|n2471789092185335763276946564891231284624897252789347 more hits!|nBOSS DEFEATED!>
	place <Extra- Finished>
end define

define room <Extra- Finished>
	look <MO turns back to M, and the 7 emeralds return to Angel Island.|nMecha Knuckles lies in the dirt, dead.|nLuckily, Metal Sonic has an extra life for Eggman, and now, Eggman is building more weapons for Metal.|nSonic eventually gets an extra life from Amy, who Metal forgot to kill.|nSonic revived Tails who revived Knuckles, and those guys are now more scared of Metal|n than ever.|nThe hotel guy, no one cares about him.|nEvery one lived happily ever after....... for 30 years.|n[You can now go to Chapter Select in Unlockable Hall!]>
	place <Multiplayer Lobby>
	script {
		displaytext <After Beating Extra Chapter>
		msg <Now you can read the second part|n of Unlocked Goodies!>
		show <Locked>
		show <Chapter Select>
	}
end define

define room <Metal's Past- Egg Base>
	look <M: Grr... that Sonic makes me so MAD! You could disintegrate the sun on my head!|nE: Hello, Metal! How was YOUR time?|nM: Not good..... wait, YOU were there!|nE: I meant AFTER that.|nM: Oh. Good and bad.|nE: Mine stung, like a bee.... any luck killing Sonic?|nM: No, not yet. I was thinking of doing an old- fashioned gun fight.|nE: Tried it, he's too fast.|nM: How about tieing him to a rope, THEN shooting him?|nE: Tried it, he called Knuckles and Tails to help.|nM: Hmm..... I'VE GOT IT! I could kill K and T FIRST, THEN kill Sonic!|nE: Tri.... wait, I haven't tried THAT, go ahead!|nM: Okay, see ya!|n( later...)>
	place <Metal's Past- Knothole>
end define

define room <Metal's Past- Knothole>
	look <M: Ahh.... Tails.....|n(SLASH! Death cry.)|nM: Hehe.... now, for Knuckles.....|n(as he leaves, enter Sonic)|nS: Ahh, what a wonderful day.... WHAT THE? Tails' corpse? I'd better use a 1-up.|n(meanwhile)|nM: Knuckles.... target no. 2.....|n(slash! Death cry)|nM: Now, to invite Sonic to the junkyard, where his corpse will lay....|n(as Metal leaves, enter Sonic)|nS: I hope I don't see another- CORPSE!? AAAAHHHH!!! Another 1-up....|n(meawhile)|nM: I've sent the invitations, Sonic should be coming....|nTry to unlock more!>
	place <Multiplayer Lobby>

	define object <also Locked>
		look <... excellent ending!>
		take goto <Metal's Past- The thing>
		examine <Read it!>
		hidden
	end define

end define

define room <Campaign Mode- Target Achiever-034>
	look <Later, on the hovercraft-jet.|nY: So, I'm the Reporter?|nMK: Yes.|nY: Okay.|nMK: Now listen, all you need to do is wait till I give the signal, then sneak inside,|n when you're inside Sonikku's room, call for an assault. If you get caught, call for|n backup. Oh, we're almost there!>
	place <Campaign Mode- Skydive>
end define

define room <Campaign Mode- Skydive>
	look <MK: Wait, once we're over the target point, you'll jump down.|nMK: O400 hours is when we do.>
	script timeron <O400 hours>

	define object <JUMP!>
		take {
			goto <Campaign Mode- Rendevous Point>
			timeroff <O400 hours>
		}
		hidden
	end define

end define

define room <Campaign Mode- Rendevous Point>
	look <After the jump:|nMK: Well, we landed safely. Now listen, this is the safe point, we'll meet here when we're done with the mission. For now, get recharged, get ready, and if you want, chat, and give each other weapons and ammo. When you're ready, come to the entrance so we can start|n the mission.>
	place <Campaign Mode- Start point mission>
end define

define room <Campaign Mode- Start point mission>
	look <MK: Okay, Rebels, GO!|nR: HEY! YOU! IN THE BASE! WE HATE YOU! ( random insults)|nMK: Good, Mr. and Ms. Smith?|nMAMS: We're going.|nMK: Okay, Reporter, GO!|nY: Time to go.>
	place <Campaign Mode- Behind MAMS>
end define

define room <Campaign Mode- Behind MAMS>
	look <Y: Okay, sneaking in. Uh-oh.... guards are coming....|nMAMS: Don't worry Reporter, we'll take care of them.|nMAMS distracted the guards, now RUN!>
	place <Campaign Mode- Sonikku's Room>
end define

define room <Campaign Mode- FF start>
	look <30 years have passed since the events of Metal Sonic's Quest, and Sonic's not scared|n of Metal Sonic anymore, so he's starting a war! It's time for the Freedom Fighters to|n fight an army of robots, MS clones and MS himself. You are a simple hedgehog, (that isn't Sonic) and you must do the toughest mission ever-- survive.|n|n----------(  Metal V.S. Sonic )-----------------------------------------------------------------------------|nChapter 1: Boot Camp|n|n[slam]|nK: Okay guys, time to wake up! It is 5:00! Time to WAKE UP!|nYou: What's happening?|nK: What's happening? WHAT'S HAPPENING? I'LL TELL YOU WHAT'S HAPPENING!|nTODAY, BOOT CAMP! TOMMOROW, PLANNING, NEXT DAY, WAR! DOES THAT ANSWER|n YOUR QUESTION? DOES THAT ANSWER IT?|nY: Sir, yes, sir!|nK: Good, soldier! Now, MOVE! NO CHATTING! NO TALKING UNTIL AFTER BOOT CAMP!|n>
	place <Boot Camp- FF moving>
end define

define room <Boot Camp- Metal>
	look <It was a time of peace, and now, 30 years latter, war has been declared.|n|n|n----------------------------------------(Metal v.s. Sonic)-------------------------------------------------|nChapter 1: Boot Camp|n|nMK: WAKE UP! DO NOT SLEEP IN!|n[no one wakes up]|nMK: I SAID WAKE UP!|n[still, no one wakes up]|nM: You're supposed to say " INITIATE WAKE MODE!" They're robots.|n[everyone wakes up]|nM: Now, do what you need to.|nMK: Listen everyone, war is in 3 days! For now, activate "ready_for_boot_camp.exe"!|nM: File not found. (chuckles)|nMK: Okay, everyone go outside and follow Commander Metal's orders!|nEveryone: Sir, yes, sir!>
	place <Boot Camp- Moving, Metal>
end define

define room <Boot Camp- Moving, Metal>
	look <M: Now, everyone, you shall NOT be treated as individuals.|n So, right now, move through this obst-ee-cal course NOW!|nClick the ropes and select take!|nThen, select the slide and select take!|nAnd then, select the glass wall, and select speak to!|nThen, select the push-up option, and select take! And then, select|n MY option, and select speak to!>
	place <Boot Camp- Patience>

	define object <ropes>
		look <M: No time for LOOKING!>
		take {
			msg <You climb up.>
			show <slide>
		}
		speak <M: I did not give you permission to speak!>
		examine <M: Do NOT look!>
	end define

	define object <slide>
		take {
			msg <You slide down.>
			show <glass wall>
		}
		hidden
	end define

	define object <glass wall>
		speak {
			msg <M: Everyone turn off sound.exe....|nY: SSSSCCCCRRRRRRREEEEEEEEEEEECCCCCCHHHHHHH!!!!!!!!|nThe glass wall breaks.>
			hide <glass wall>
			show <push-ups>
		}
		hidden
	end define

	define object <push-ups>
		take {
			msg <You do 1000000000 push-ups in 0.01 |n seconds!>
			show <Do push-ups>
			show <Commander Metal>
		}
		hidden
	end define

	define object <Commander Metal>
		look <The commander.>
		take goto <Boot Camp- Patience>
		speak msg <Y: Sir, I have accomplished the training mission.|nM: Good job. I have a good feeling for you. I may not kill you.|nY: Kill?|nM: Yes, all failures WILL be eliminated.|n(the failures were Clones 12-15.)|nC12: Please, sir, locate mercy.exe...|nM: File not found.|n[stabs knife through C12's stomach-region]|nY: Sir, when did you lose mercy.exe?|nM: I lost it a long, long time ago....|nIn MSQ's events.... right after|n meeting my creator.....|nWell, back to the training!>
		examine <On his left arm, he has a rusty scar. He says that he got that from fighting Amy Rose.>
		displaytype <Commander>
		article <him>
		gender <he>
		hidden
	end define

end define

define room <Boot Camp- Patience>
	look <M: You shall now learn about patience.|nLearn how to use patience, in the next room, you shall use patience to get past|n the guards, be careful, though. Patience is also used to GET in trouble. If you|n wait too long, you shall get caught. So just get to the door.|nMove out.>
	place <Boot Camp- VR patience>
end define

define room <Boot Camp- VR patience>
	look <1 guard. 1 minute wait, wait 2 minutes, and you'll get caught.>
	script timeron <patience training>

	define object <door>
		take {
			timeroff <too long>
			goto <Boot Camp- Boss Training>
		}
		hidden
	end define

end define

define room <Boot Camp- Boss Training>
	look <M: Well done! No one failed that last one!|n Well, now we're up to the final test. The boss battle training.|n Select the hologram, then select take!|n A menu will come up, select ANY option, because this is training, no option is wrong!|n BUT, in the real war, there ARE wrong options! So, go!>

	define object <hologram>
		take choose <Training>
	end define

end define

define room <Boot Camp- Finished>
	look <M: Good job, people. Now, you can either go back to the lobby where you can go to the|n war, or you can stay awake, and do things on schedule! For those who stay, we're just doing Boot Camp!>
end define

define room <Boot Camp- FF moving>
	look <K: Hello, and welcome to your training! THIS is your enemy, the robots! Their commander|n is the most vile, most deadly warrior anyone has ever seen! His name is|n Recycled Metal! Now, R.M. is so deadly, he could kill you without you even thinking about|n thinking! So, I'll teach you the basics on how to survive. We won't interfere Commander Sonic's fight with Recycled Metal, we just survive. First up, learn how to survive basic gunfire. Run all the way up to that flag, pick it up, and come back down here. There will be|n machine guns shooting at you. GO!>

	define object <flag>
		take {
			msg <You run up, but break your leg.|nY: AAAHHH! Ow.|nK: You see? It's normally impossible to get that flag. So that's why we have the FF survival suit. Here, put this on.|n[you put it on]|nK: Now, try.|n[you run up, grab the flag, and run back down]K: What the bullets feel like?|nY: They felt like people pinching me.|nK: Good! See? You've completed that|n training. Now, on to the next training thing!>
			goto <Boot Camp- Finding things>
		}
	end define

end define

define room <Boot Camp- Finding things>
	look <K: Okay, now we must learn how to find things in enemy territory, or to find enemies in|n home territory. Now, try to look around to find the spy- hologram.|n[ you look for ages, but find nothing.]|nK: Now, put on the FF survival suit.|n[ you put it on]|nK: Now look for it.>

	define object <table>
		take msg <You lift the table up, but find nothing.>
	end define

	define object <seat>
		take {
			msg <You lift the chair up, and there it is!|nK: Good! The FFSS has super strength. But, in our next and final training, we'll learn how to dodge enemy attacks, then fight back!>
			goto <Boot Camp- Fighting back>
		}
	end define

end define

define room <Boot Camp- Fighting back>
	look <K: Y'see this hologram? It's going to send a neuclear attack at you. You're|n going to dodge it. Then, you will fight back!>
	script choose <dodge>
end define

define room <Campaign Mode- Sonikku's Room>
	look <Y: Well, here I am.... Sonikku's room. Now, to call for help.|n[dialing]|nMK: Hello?|nY: I am in Sonikku's room. What do I do now?|nMK: Don't you worry. We'll take care of it, justgive us your coordinates.|nY: 2349, 33254|nMK: Okay. Mekaku Knux out.|nY: Reporter out.|n Mecha Knux teleported there, took Sonikku, and teleported out.|n Then, the whole RW army teleported to the base, and stole a few things.|n A robot grabbed you and teleported you out.>
	place <Campaign Mode- The lab>
end define

define room <Campaign Mode- The lab>
	look <5 days have passed since Mission Breakling, and no one noticed any differences, until.....|nRobot: Commander Metal, a transmission has arrived. Shall I bring it on screen?|nCM: .......Very well.|nR: Yes sir, commander, sir.|n[ transmission comes on screen]|nCM: !!!|nR: Wow, that's quite alarming. Shall I inform the others?|nCM: Negative. Let's keep this as our little secret.|nR: But sir--|nCM: I said let's keep this a secret. Now, put it in your secrets folder, or else....|nR: ...... error, sir. There is no--|nCM: Then MAKE a folder named," secrets".|nR: Yes sir.|nCM: ( oh, no....)>
	place <Campaign Mode- Mess Hall>
end define

define room <Campaign Mode- Mess Hall>
	look <After the little "secret", the mess hall became quiet.|nY: Hello? Hellloooooo? No one's here.|nFriend: Strange....|nY: Yes, it IS strange. It's not like the mess hall to be empty....|n[ a few minutes later....]|n{ You and friend leave, while Commander Metal enters with soldier being strangled}|nCM: (mad face)|nS: Sir.... please..... it was..... an....... acc....i....d....e--|n{CM throws Soldier on to ground, then repeatedly steps on head until it finally gets crushed}|nCM: That should teach you not to watch my transmissions.... that was a secret, never to be shown to ANYBODY except me, MekakuKnux, or Robot.|nS: ..................s......i.....r.......|n{CM jumps straight on to soldier, therefore turning the disembodied head into scraps}|nCM: Why? Why? WHY? I miss my mercy.exe..... why must it be this way? I must kill him....|n that meddling mortal..... hacked into my system and destroyed my security folder......|n it had my mercy.exe in it..... that meddling--|n{camera switches to you before CM says the word}|nY: Well, hopefully something will happen tommorow.... Initiate sleep mode.>
	place <Campaign Mode- the next day>
end define

define room <Campaign Mode- the next day>
	look <All these incidents..... happening so fast..... now for the next mission!|nGet ready for a BIG mission! Okay, not that big, but it requires some work!|nBe prepared for:|nChapter 3: Mission Fight The Prower!|n|nR: Initiate wake mode, people! Now we must get ready for the next mission!|nY: What the? Where's Seargent Mecha Knuckles?|nR: Um.... er..... he.... uh..... had some technical difficulties.|nY: So, he's sick?|nR: Why, yes. Yeah. Let's go with that! (oh, thank you...)|n To the planning room!>
	place <Campaign Mode- Plan>
end define

define room <Campaign Mode- Plan>
	look <R: Okay, people, Commander Metal has something to say, so QUIET DOWN!|nCM: Ahem. Well, you all may of noticed that MekakuKnux had some..... problems.....|n but..... he'll get better by... oh, I can't take it! My security folder was deleted long ago|n by Mr. Prower. MekakuKnux couldn't come because he was captured! He was captured|n last night, by the Freedom Fighters! But, we captured Sonikku, and Knux!|nY: { my favorite video game, hehe...}|nCM: So, today's mission is Mission: Miles Capture, code named: Fight the Prower!|n To battle stations, maggots!|nR: Alright, maaa-gots....|nCM: Maggots.|nR: Right. Today, robots on the right are.... uh....|nCM: The Killer Maggots.|nR: Right. They'll be commanded by me. Lefters are....|nCM: The Scary Maggots.|nR: Right, they'll be commanded by Commander Metal.|n Everyone else....|nCM: Distracting Nit-wits. Just.... distract the enemies.|n{you were on left, woo-hoo!}|n[the plan]|nCM: All right, you Scary Maggots! Let's see your toughest move! Do it on me!|n{Clone 1 jumped onto CM, but was grabbed by the foot, swung around, and then beaten till|n he was nothing but ashes, then was thrown into a dumpster}|nCM: PATHETIC! You've got to do it TOUGH! Only 1 robot will survive this.|nThe one who takes over 1 hour to beat, will be the Scary Maggot.|n{in the end, you win. But, you're legs are rusty, the left side of your head is gone,|n and so is your right arm}|nY:............................................................................................................|nCM: You win, Clone 117!|nY:............................................................................................................|nCM: Clone 117?|nY:......{you scream so loud, that all that exist can hear you, you scream: ow}....ow....|nCM: You ok?|nY: Error in gjidzcxjiohgj....{you fall over}|nCM: Weird. I wasn't even trying to hurt ANY of these guys.|n Um..... medic-bot? Heal this guy.>
	place <Campaign Mode- Target Achiever>
end define

define room <Campaign Mode- Target Achiever>
	look <Later......|nCM: So, scary maggot, your job is to break into Mr. Prower's room, and scare him to death!|n Leave the rest to me.....|nY: What about the others?|nCM: They..... are piles of ash now, there is nothing ANYTHING can do.|nY: Hmm.....|nCM: Grab some guns before you jump.|nCM: Get ready.....>
	place <Campaign Mode- Roof>

	define object <fully loaded shotgun>
		take
		drop nowhere <>
	end define

	define object <fully loaded handgun>
		take
		drop nowhere <>
	end define

end define

define room <Campaign Mode- Roof>
	look <You landed safely, and quietly on the roof.|nY: This is Scary Maggot, I have landed on enemy's roof. Over.|nCM: Excellent. Oh, crud. The Killer Maggots are having trouble getting in front!|n The door is locked. You need to get in the window!|nY: Where is the window?|nCM: On the other side of the building!>

	define object <Window>
		take goto <Campaign Mode- Indoors>
		use goto <Campaign Mode- Indoors>
	end define

end define

define room <Campaign Mode- Indoors>
	look <Y: This is Scary Maggot, I am inside the building. Over.|nCM: Excellent. Now, get into Miles' bedroom and shoot him!|nY: Got it.>

	define object < door>
		take goto <Campaign Mode- Tails' room>
	end define

end define

define room <Campaign Mode- Tails' room>
	look <M: Here I am..... gotta make sure I have my weapon!|nCM: Now, you MUST shoot Miles! First, wake him up, THEN shoot!>
	place <Campaign Mode- Lab 2>
	script if got <fully loaded shotgun> then msg <Y: Hey, Miles!|nTails: Y-yeah? WHAT THE?|nY: Say cheese-|n[shoots him]|nY: Mission accomplished, commander!|nCM: Great job! We'll take care of the rest!> else {
		if got <fully loaded handgun> then msg <Y: Hey, Miles!|nTails: Y-yeah? WHAT THE?|nY: Say cheese-|n[shoots him]|nY: Mission accomplished, commander!|nCM: Great job! We'll take care of the rest!> else {
			msg <Tails: [yawn]...... huh?|n[sees you]|nT: GUARDS!|nY: Uh-oh....|nCM: Clone 117? CLONE 117!|n Looks like it's abort mission....|n|n|n|n|n|n     MISSION   FAILED!>
			if ask <Restart mission?> then goto <Campaign Mode- the next day> else goto <Multiplayer Lobby>
		}
	}
end define

define room <Campaign Mode- Lab 2>
	look <Right after the mission, inside Commander Metal's lab......|n[ Miles Prower is inside a VERY small cage, suspended 3 feet above hot plasma]|nCM: So...... Tails, was it? Remember what you did to me 30 years ago, today?|nT: N-no.....|nCM: OF COURSE YOU DO!|n[pulls switch, Tails' cage goes down 1 foot]|nT: Aaaahh....|nCM: You DO remember Tails, you just don't want to.....|nT: Can you give me a hint?|nCM: [scoffs] fine.... you captured ME, there was an off button on my back? You HACKED into my system?|nT: Oh yeah..... I'm really sorry, Metal. I-|nCM: That's COMMANDER Metal to you.|n[pulls switch, Tails' cage now 1 foot above hot plasma]|nCM: Listen Mister Prower, I now rule over ALL of your land..... there is NO way of you winning this fight, Sonikku and Knux are inside cages JUST LIKE THIS! They are all in situations JUST LIKE THIS! 1 wrong move, and you're 38-year old body will be nothing but.... NOTHING!|nT: Please, Commander Metal, don't kill me! I-|nCM: Hold on..... let me guess..... a wife and 3 beutiful kids?|nT: Yes, sir.|nCM: Not anymore...|n[pulls switch, distant screams]|nT: What just happened?|nRobot: Sir! Plasma just fell onto 1038583844780 robots in the mess hall!|nCM: Wrong switch....|n[pulls different switch, distant screams]|nT: What did THAT one do?|nCM: It dumped plasma onto your family. You can't tell anyone about your family anymore...|n YOU DON'T HAVE ONE!|nT: NNNNOOOOOOOOOOOOOOOOOOOOO!!!!!!!!!![starts to cry]|nCM: Tails.... this is the exact thing that I captured you because.....|nT: [still crying] you.... wanted to show me my family getting killed?|nCM: NO! It's my mercy.exe..... when you hacked into my system, and deleted my security|n folder.... you erased it..... so...... I wanted REVENGE.....|nT: I think I'll start begging for safety now....|nCM: I can't give you anything but death, Tails.... without my mercy.exe.... that's all I can give ANYONE..... other than orders..... so....|n[pulls switch, Tails' cage dives into the plasma, Tails screams]|nCM: What have I done? ............>
	place <Campaign Mode- FINAL MISSION>
end define

define room <Campaign Mode- FINAL MISSION>
	look <Now, be prepared for TOUGH stuff! Keep your weapon with you, you'll need it in:|n|nMission: Revival of the Fittest|n|n{in the mess hall}|nY: Commander Metal's gone missing!?!?!?!?!??!?|n[other robots start asking questions]|nRobot helper: Don't worry, guys, Commander Metal CAN'T be gone!|n[crash]|nY: What was that?|n[robots check outside]|nR: Oh my goodness..... it's a....... it's the.......|nAll: IT'S THE CHAOS EMERALDS!|nY: LOOK! Something's glowing in there!|nR: .......RUN!|n[robots run]|nNarrator: What was it? You'll find out.....|nR: Alright you guys, we need to prepare for the worst! We are going to sacrafice ourselves to protect our glory and power! We own 99% of the planet!|nY: How? You know how powerful that thing was!|nR: Oh yeah. I forgot..... WHERE ARE YOU, COMMANDER METAL?|n[meanwhile]|nCM: Goodbye, Robot Wranglers...... I must leave you with Robot Helper to command you.... WHAT AM I DOING? ROBOT HELPER CAN'T COMMAND! I GOTTA GET TO WORK!|n[meanwhile]|nY: I'm glad I have my weapon..... I also have my claws...... tiny ones though....|nR: Alright, you guys...... when the door opens, shoot as hard as you can......|nN: Click door when you want to continue...>

	define object <the door>
		take goto <Campaign Mode- Fight>
	end define

end define

define room <Campaign Mode- Fight>
	look <The door knob is shaking......>
	place <Campaign Mode- Commander Metal's Final Online Time>
	script timeron <wait for it.....>

	define object <gun>
		take {
			timeroff <life>
			msg <SHOOT SHOOT!|nYou shoot at the things.|nWhen the bullets stop, you take a closer look..... they're all Freedom Fighters.....|nR: There's no commander to them...|nY: Hold on. If these guys have no commander, then that crash..... those emeralds...... that THING! Commander Metal is doomed.....>
			create exit out <Campaign Mode- Fight; Campaign Mode- Commander Metal's Final Online Time>
		}
		hidden
	end define

end define

define room <Campaign Mode- Commander Metal's Final Online Time>
	look <N: With the Freedom Fighters destroyed, and that thing crashed, we move on to the toughest part of the game.|nMission 3 act 2: Operation Shut Down|nN: We're in the Freedom Fighter's beach-- right behind the base.|nCM: Farewell, cruel world..... one touch of this.......... clear water.... will eliminate me.|n[takes one step closer to pure water]|n???: Stop.|nCM: Hmm? GASP!|nSS: Yes, me. SuperSonic.|nCM: But-but-but, this doesn't compute! It's just illogical!|nSS: Didn't you know? I used the chaos impact of the emeralds to escape the RW lab.|nCM: Very well. But, there is no need to destroy me, for I'm going to take one leap into this 100% pure water, and go offline.|nSS: Why?|nCM: mercy.exe. Miles eliminated it 30 years ago. So, I'm sick of having no mercy, and I'm comitting suicide.|nSS: Stop. I won't let you. We need to finish this rivalry for once and for all. Like you always say, " Rivalry is never put to rest." I'm getting revenge for all the cruel deeds you did.|nCM: ....... very well.|n[click on FINAL BATTLE to continue]>
	script {
		timeroff <wait for it.....>
		timeroff <life>
	}

	define object <FINAL BATTLE>
		take choose <Final Battle CM v.s. SS>
	end define

end define

define room <Campaign Mode- Sonic CD>
	look <3.... 2... 1....|nM: GO!|n[click racetrack to continue]|n>

	define object <Racetrack>
		take {
			choose <Stardust Speedway racetrack>
			timeron <timer for spike>
		}
	end define

end define

define room <Campaign Mode- Complete>
	look <M: I win, Sonikku! Now, you can die slowly and painfully....|nS: (gulps) Okay Metal, I accept this death.|nM: Then you shall die a TINY bit faster.|n[stabs medium-speed]|nM: Excellent..... now, to jump into the water.|nR: Commander Metal! WAIT! Excuse me, sir, have you seen Commander Metal?|nM: I AM Commander Metal, you nitwit!|nR: Oh, DON'T KILL YOURSELF! I'm no good at leading!|nRW army: YEAH, HE STINKS AT LEADING!|nR: Don't rub it in.|nM: Hmm..... I may have more to stay online for than I thought. Alright army,|n I shall rule with a chrome fist!|nRW army: You're made of chrome? I mean, (cheers)|nCONGRATULATIONS!!!!!!|nYou have unlocked some pretty good stuff!>
	place <Multiplayer Lobby>
	script {
		show <Mission Select>
		show <also Locked>
	}
end define

define room <Metal's Past- The thing>
	look <S: Hiya Metal!|nM: Hello, Sonic. Are you ready to die?|nS: Nope, are you?|nM: Nope.|nS: Y'know Metal, I hear that your average hedgehog is smarter than your average robot!|nM: HA! Well, you're less than average, and I'm more than average!|nS: Tails, Knuckles?|nM: Too bad, they're dea--|n[T and K appear]|nM: D...d....d.... did you give them 1-ups?|nS: (nods)|nM: Blast, I forgot about those.|nCRASH BOOM BASH PUNCH POW KA-BOOOOOOOOOOOOOOOM!!!!!|n[K throws Metal into the junk pile]|nS: Next time you REALLY want a rematch, let me know so I can destroy you!|nM: ..... systems....... offline.....|nTHE END!>
	script displaytext <win>
end define

define room <Unlockable Hall>
	look <Welcome to Unlockable Hall! Here, you can do bonus things that you unlock on 1-p mode,|n and 2-p mode!>
	place <Multiplayer Lobby>

	define object <Chapter Select>
		look <Cool....>
		take goto <CS>
		speak <Man: Come, come, come to any chapter from 1-p mode you want! FREE!>
		examine <It's a teleport booth!>
		hidden
	end define

	define object <Mission Select>
		look <Awesome....>
		take goto <MS>
		speak <Man: Come to my booth and you can go to any mission in Campaign Mode!>
		examine <It's another teleport booth!>
		hidden
	end define

	define object <Demo Stand>
		look <Awesome!>
		speak {
			msg <Y: Hello?|nMan: HEY! Howzit goin?|nY: Um... fine, I guess.|nMan: Welcome to the Demo Stand!|nY: So, what Demo's have ya got?|nMan: Not much, really. I've only got the First Chapter, Metal Sonic Crushes All, on display.|nY: Well, can I play it?|nMan: SURE YA CAN! Step in here, please...>
			if ask <Play the Demo?> then goto <MSQ2D- Egg Base> else goto <Multiplayer Lobby>
		}
		examine <It's a small booth with noone inside. A sign above reads,"Metal Sonic's 2nd Quest Demo".>
		hidden
	end define

end define

define room <CS>
	look <Man: Hello, which chapter do you want to go to?|n[check out the go to section.]>
	place <Knothole Junkyard- Wake point>
	place <Egg Base- Hallway>
	place <Top Story Tonight>
	place <Angel Island- Entrance>
	place <Ice Cap- Foot>
	place <Egg Fortress- Hallway>
	place <Area 51>
	place <Extra-start>
end define

define room <MS>
	look <Man: Here, you can go to any mission you want!|n[Check out the go to section]>
	place <Boot Camp- Metal>
	place <Campaign mode- Start point, Metal>
	place <Campaign Mode- the next day>
	place <Campaign Mode- FINAL MISSION>
end define

define room <Area 51-Gate>
	look <Metal teleports to outside Area 51.|nGaurd: HALT! Wait, Metal?|nM: You! That guard dude from Angel Island!|nBoth: What are YOU doing here?|nG: I got a new job.|nM: I was teleported here. Are there any Emeralds here?|nG: Well, of course! Otherwise I wouldn't be GUARDING anything!|nM: Okay, may I go inside?|nG: Ha ha.... no.|nM: WHAT!? Why not?|nG: I'm a GUARD. I GUARD this place. I don't just LET people and robots in!|nM: What can I do to get in?|nG: NOTHING AT ALL. I'm guarding the Emerald with my LIFE!|nM: We'll just see about that... ( I HAVE to get in)>
	script displaytext <After Roughing-up Rouge (Neutral or Bad)>

	define object <Box>
		look <A box.>
		speak <It says nothing. And it never will.>
		examine {
			msg <It says "This Side Up", with an arrow pointing up. Look! A window!>
			show <a window>
		}
	end define

	define object <a window>
		look <It's a window.>
		take goto <Area 51- Bathroom>
		speak <"It's the only way.">
		examine <It looks like it takes me to a bathroom. Ick. Should I REALLY?>
		hidden
	end define

end define

define room <Area 51- Bathroom>
	look <You lift the window up, and jump through-- SPLASH! And land in a toilet.|nZZZrt. Buzzz....|nM: Whooo-OWAZA! I ZZZZRt/shfaODJ can't sasidjjsusakisasssssee.|nWhat happened? jsudhfdffjf Error in Hard Drive... Correct? Y/N>
	place <Area 51>
	script if ask <Error in Hard Drive. Correct? Y/N> then say <Y. BUZZART ASUIASGDIASUDHSDUCCCCCCCsih OW. Am I fixed yet? Good.> else {
		say <N. OWOWOWOWOOWOWOWOWOWOWOWOWOWOWOW! AAHAHAHAHAAAHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH!!!! BOOM!>
		msg <Game Over, back to the lobby for you.>
		goto <Multiplayer Lobby>
	}

	define object <Door?>
		look <It's a door. I think.>
		examine {
			msg <Wait. It's not a door, it's a briefcase.>
			show <Briefcase>
		}
	end define

	define object <Briefcase>
		look <A briefcase?>
		take <Wow, a briefcase! Wonder what's inside? DANGIT! Need a key.>
		speak <It says NOTHING EVUH.>
		examine <What would a briefcase be doing in here?>
		hidden
	end define

end define

define room <MSQ2D- Egg Base>
	look <It is the year of no name, and Hyper Metal Sonic, commonly known as Metal, has already|n surpassed tests far beyond anyone's comprehension (he's really good), having recently revived Doctor Ivo Robotnik, commonly known as Eggman, Metal is now getting a little tired of him giving Metal orders. Join him on his 2nd Quest so far, on a journey to get some relaxation!-----------------------------()()([Metal Sonic's 2nd Quest DEMO1])()()-----------------|n On this demo, you can search around the Egg Base, Ye Olde Egg, and go up to Ye Olde Egg. Better than just Egg Base. Check it out! Notice: In this demo, there is no end, you just type "lobby" to end the demo, in the meantime, look around! There are a DEMO EXCLUSIVE side quest!|n|nEgg Base, Metal's Sleep Room|n{INITIATE WAKE MODE}|n{SYSTEM SCAN: COMPLETE. ERROR: A.I. BATTERIES RUNNING OUT}|nMetal: (sigh) Again? That's the fourth time this week...|n Better go get some more... wait, what now?|n{ERROR! COMPASS OFFLINE!}|nM: That's okay. I know this place very well.>
	place <MSQ2D- Hallway>

	define object <Sleep Chamber>
		look <The tube I sleep in.>
		examine <Not much to say, really.>
	end define

end define

define room <MSQ2D- Hallway>
	look <Egg Base, Hallway|nM: Now then, where are those batteries?|nEggman: ATTENTION! BADNIKS! HEAR YE, HEAR YE!|nNow, I know we're all in sort of a rush to get outside this morning, but SOMEBODY drank|n all the oil last night! As a penalty, all badniks must wash dishes!|nM: Um, sir?|nE: WHAT?|nM: Do you know where my A.I. batteries are?|nE: Uh... I don't think you have any more. BUT, there's a pair for sale at the Badnik Boutique!|nM: Alright!|nE: WAIT, METAL. No shopping 'till dishes are washed!|nM: Drat. Luckly, I won't go dead until a few hours.>
	place <MSQ2D- Kitchen>
end define

define room <MSQ2D- Kitchen>
	look <Egg Base, Kitchen|nE: Alright, badniks, START SCRUBBING! I'll be in the little Mad Scientist's Room.|nM: (sigh) Scrub, scrub, the eighth time this week Big Bane's gone and drunken all of the oil.|nBadnik: You said it.|nOther Badnik: Yeah, why must we be tortured so?|nM: Better not start up a crowd.|n[an hour later]|nM: Oh, boy. I'm getting a little..... woozy. At least the dishes are done.|nE: Good job, badniks! Okay, you can go now.>
	place <Hallway>
end define

define room <Hallway>
	look <Egg Base, Hallway|nM: Let's see... the Hallway. Eggman's here, and so is Big Bane.>
	place <Kitchen>
	place <Shopping District>
	use <A map> msg <The kitchen is to the right, and the Egg-Shopping Center is to the left.|n My Sleep Room is behind me.>

	define object <A map>
		look <A map of the Egg Base! This should help!>
		take <Okay, according to this map, the kitchen is this way, and the shops are that way.>
		examine <No compass, but it's still good.>
	end define

	define object <Eggman>
		look <It's the Doctor, in his prime.>
		speak {
			msg <M: Uh, Doctor?>
			if ask <Have you been to Badnik Boutique?> then {
				msg <DOCTOR!>
				choose <Eggman2>
			}
			else choose <Talk to Eggman>
		}
		examine <He is currently wearing a red coat, black pants, glasses, and of course, his "I Love Eggs" T-Shirt.>
	end define

	define object <Parcel>
		look <It reads,"To- Hitchhiker Guy".>
		take <Alright, got the box!>
		examine <I don't want to look inside it! Badnik Policy, y'see.>
		hidden
	end define

end define

define room <Kitchen>
	look <Egg Base, Kitchen|nM: The kitchen. Not too crowded, for once.>
	place <Hallway>
	use <A map> msg <From here, to the left is the hallway,|n and to the right... a brick wall.>

	define object <Chef>
		look <The Robot Chef.>
		take msg <C: HEY! No touching! If ya wanna touch pots n' pans n' stuff, go get me an xtra pot frum da Olde Egg.|n I'm runnin outta 'em.>
		speak <M: So, what's on the menu for today?|nC: Same as always, Metal. Same as always.>
		examine <A yellow badnik, with a built-in-pan. Yep, that's about it.>
	end define

end define

define room <Shopping District>
	look <Egg Base, Shopping District|nM: Wow... lights, cameras, and action everywhere you look! And yet only one real store.>
	place <Hallway>
	place <Outdoors>
	command <Run print_out_a_million_dollar_bill.exe> {
		msg <Wow! I just got a million buckaroos!>
		give <Million Bucks>
	}
	use <A map> msg <According to the map, to the right is the hallway, and to the right is outdoors.>
	action <Initiate Paul Revere Mode> msg <HEY! EVERYONE! THE BRITISH ARE COMING! THE BRITISH ARE COMING!>

	define object <Badnik Boutique>
		look <The only store in the whole Egg Base, and it isn't even that big.>
		speak {
			msg <M: Hello?|nClerk: Hiya, Metal!|nM: Lil' Larry! Hey! What are you doing here?|nLL: Well, I work here, now!|nM: Cool!|nLL: So, what'll it be?>
			choose <Badnik Boutique>
		}
		examine <They have lots-a lights.>
		use <Data Chip> {
			msg <LL: Okay, Metal, glad you're here! Now, I need you to deliver this package to this hitchhiker out on Highway 101. Remember, you won't get paid, but you'll get rewarded. Oh, and, uh... the box is in the hallway. We needed room for other stuff.>
			show <Parcel>
		}
	end define

end define

define room <Buy>
	look <What do you want to buy?>

	define object <A.I. Batteries>
		take {
			msg <A.I. batteries? A million buckaroos!>
			hide <Million Bucks>
			give <A.I. Batteries>
		}
	end define

	define object <Million Bucks>
		hidden
	end define

	define object <Data Chip>
		look <It doesn't look like anything.>
		take <{INSTALLING DATA CHIP, PLEASE WAIT...}>
		examine <NOTE: IN THIS DEMO, THERE IS ONLY 1 SIDE QUEST FOR THIS JOB.>
		hidden
	end define

end define

define room <Outdoors>
	look <Egg Base, Exterior Grounds|nM: Finally, some fresh air. (takes deep breath)>
	use <A map> msg <According to the map, to the right|nis the Shopping District, and the left is... drat, that's all the map covers.>

	define object <Ye Olde Egg>
		look <Say! It's Ye Olde Egg! The pub for all badniks!>
		examine <It's a black, small building.>
	end define

end define

define function <Save and return to lobby>
	goto <Multiplayer Lobby>
	
end define

define timer <Sneak time>
	interval <150>
	action {
		msg <Whoa boy, the cops are here....|nC: Get him!|nUh-oh.... I'd.... better get outta|n here! CHAOS CONTROL!>
		goto <Shadow Start>
	}
	disabled
end define

define timer <Light passing>
	interval <30>
	action show <2nd door>
	disabled
end define

define timer <more light>
	interval <10>
	action show <Outside the alleyway>
	disabled
end define

define timer <Knuckles Explosion>
	interval <60>
	action {
		msg <3, 2, 1....|nK: Hasta-lavista!|nKA-BOOOM!|nIce Cap Mountain blew up,|n and it's ice turned to water and flooded all of Angel Island....|nGAME OVER!>
		if ask <Do you want to restart Ice Cap mountain?> then goto <Ice Cap- Foot> else playerlose
	}
	disabled
end define

define timer <Reflex time>
	interval <10>
	action {
		msg <Ow! You missed!>
		if ask <Do you want to restart the battle?> then goto <Area 51 Rosswell, New Mexico Artifacts Room> else goto <Multiplayer Lobby>
	}
	disabled
end define

define timer <Round 2>
	interval <5>
	action {
		msg <Ooh, that's gotta hurt!>
		if ask <Restart?> then goto <Area 51 Rosswell, New Mexico Artifacts Room> else goto <Multiplayer Lobby>
	}
	disabled
end define

define timer <Final shot>
	interval <3>
	action {
		msg <Ouch, you're dead!>
		if ask <Wanna restart?> then goto <Area 51 Rosswell, New Mexico Artifacts Room> else goto <Multiplayer Lobby>
	}
	disabled
end define

define timer <O400 hours>
	interval <30>
	action {
		msg <MK: Here we are, JUMP!>
		show <JUMP!>
	}
	disabled
end define

define timer <patience training>
	interval <60>
	action {
		show <door>
		timeron <too long>
	}
	disabled
end define

define timer <too long>
	interval <60>
	action {
		msg <G: Hey! Get him!|n[VR turns off]|nM: Sorry, you failed. I'm going|n to have to.... eliminate you.|n|n|n|n|n     GAME OVER>
		goto <Multiplayer Lobby>
	}
	disabled
end define

define timer <wait for it.....>
	interval <5>
	action {
		msg <BOOM!|nR: EVERYONE SHOOT!|nHURRY AND SHOOT!>
		timeron <life>
		show <gun>
	}
	disabled
end define

define timer <life>
	interval <10>
	action {
		msg <Ow. That bullet......went...|nthrough..... Mission Failed.....|nGame Over..........>
		goto <Multiplayer Lobby>
		timeroff <wait for it.....>
	}
	disabled
end define

define text <intro>
Welcome, mortal! To a text adventure game like no other! Sure, it's easy like no other, but it's got lots of story, more than one game mode, and lots and lots and lots and lots and lots of secrets! But, the Main Game is 1p mode, so ya know.
---------(Metal Sonic's Quest)----------
To get to the 2 important game modes, talk to the clerk at the lobby desk. Unlockable Hall holds *most* of the secrets, once you unlock them!
end define

define text <win>
Congratulations, player! You have beaten both game modes, you are, indeed,
GOOD! Only thing left to do? Get the MSQ2 Demo! Already have it? Then you've beaten Metal Sonic's Quest!



Metal Sonic's Quest
-----------------------
Credits

Director: Jordan Dooling
Characters: Hyper Metal Sonic
Robot Assistant
Doctor Ivo Robotnik
Hotel Guy
Big Bane
Lil Larry
Rouge the Bat
Sonic the Hedgehog
Recycled Metal Sonic   as   Commander Metal
Metal Sonic Clones    as    Robot Wrangler Army
Knuckles the Echidna
Miles Prower
Various Animals   as   Freedom Fighters Army
Super Mecha Knuckles
Recycled Metal   as   Metal Overlord
Super Mecha Knuckles   as   Mecha Conqueror
Various Echidnas   as   Hewewe Residents, Echidna Guard
Dragon
Receptionist   as   Multiplayer Lobby Clerk
Receptionist   as   Judge
Rouge the Bat   as   Anonymous Female
Shadow the Hedgehog
Super Meta Tails
Sonic, Tails, Knuckles   as   Sonaickles
Sonic the Hedgehog   as   SuperSonic the Hedgehog
Jordan Dooling   as   Mr. Metalism
Game Created with:  QDK, Quest
Sonic, Tails, and everyone else copyright SEGA and SONICTEAM.


THE    END!
Next time on MSQ2: Metal Sonic Joins G.U.N.
end define

define text <lose>
Oh, crud.... you lost... time to try again!
end define

define text <Cheater>
Inputting cheats..... sequences I never knew..... interesting!
You're a big cheater!
end define

define text <After killing sonic>
"Okay, Sonic's dead, Metal knows some stuff, and he got teleported away CAN I GO" "NOW?" you may ask, but the game is FAR from over. Metal still has to get to
know his REAL mission! Know how to engage in combat, know what Wal-Mart is.
And he shall learn them all in this next chapter:

CHAPTER 2:   METAL SONIC MEETS HIS MAKER

end define

define text <After Beating Tails>
Now, he has just learned how to enter combat! Which means that he could start
a fight any moment! But, Metal is more sophisticated than that.... at least he'd
better be, or HE'S GOING TO JAIL! Read all about it in:


CHAPTER 3 1 half: Metal Sonic Takes the Cake-- to COURT
end define

define text <After Sitting through Court>
Okay, now MS has got to go CATCH the anonymous!
But, the twist kicks in here, before you do..... it's a secret...


CHAPTER 3 2 halves: Metal Sonic and the Case of the Anonymous Female
end define

define text <After Battling Battle Royale>
Whew! What a hassle! You finished the Battle Royale!
It seems like someone else created Meta Tails, though.... because Eggman's records
don't show anything about it! But now, now Metal has to deal with
one of his biggest enemies yet! In:


CHAPTER 4: Metal Sonic in Flames

let's start the chapter, at the entrance to Angel Island.....
end define

define text <After Knuckling Knuckles>
And so, Metal's journey continues on as he makes his way up to the
top of Ice Cap Mountain. But, little does he know, the one at the top is NOT the one
he's thinking of.... I've... said too much... find out who in:

CHAPTER 5: Metal Sonic on Ice
end define

define text <After Escaping Knuckles>
Uh-oh.... wait.... Metal and Dragon are alive! Yeah! It appears Shadow
had saved them at the last second! You may of thought he was dead,
but he wasn't! He had JUST survived. Now, Metal and Dragon have
to fight the Chapter 5 boss: No, not Shadow.... actually, SHADOW
has to fight the boss! Yes, Shadow! Find out how:

Chapter 5: BOSS
end define

define text <After Busting Spirits>
How many chapters are there? You may be asking that.
Well, one number can answer that: 8. Yes. 8. 7 normal, 1 secret.
Can you unlock it? Now, Shadow gave Metal 2 emeralds, Dragon died
of heartattack from all of the faints, and Metal teleported somewhere else.
Live the adventure in:

CHAPTER 6: Metal Sonic's Maker Meets His Maker
end define

define text <After Rotting Rouge (good)>
Now, Metal has just let Rouge go. The good thing, is that, if you're getting bored,
that's the Final Boss battle! Also the Final Chapter! I know, there are 7 chapters,
but selecting the Good one is basicily showing the Good ending! Now, try to
do the others next time! The End!

Metal Sonic's Quest

Director                                                 Jordan Dooling
Characters:

Metal Sonic
Dragon
Spirits
Sonic
Tails
Knuckles
Rouge
Robotnik
Mecha Knuckles
Echidnas
Guard
Guardbots
Assistantbot
Judge
Anchorman
Police
Meta Tails
Anonymus Female
Recycled Metal
Guy in tent
Sonaickles
Shadow


Thanks for Playing!
end define

define text <After Cracking Mecha>
Metal Sonic's Quest

Director                                                 Jordan Dooling
Characters:

Metal Sonic
Dragon
Spirits
Sonic
Tails
Knuckles
Rouge
Robotnik
Mecha Knuckles
Echidnas
Guard
Guardbots
Assistantbot
Judge
Anchorman
Police
Meta Tails
Anonymus Female
Recycled Metal
Guy in tent
Sonaickles
Shadow


Thanks for Playing!
end define

define text <After getting the Key>
Hee hee hee! You explore quite a bit, don't you? Unlocking that key! That's one of the biggest secrets in the game! Can you unlock more secrets? Well, Metal
was carrying around a mystical prototype, The Robot Reborn Key! What is it
supposed to do? You'll find out! Get ready for:

CHAPTER 8: Metal Sonic V.S. Mecha Conqueror
end define

define text <After Beating Extra Chapter>
Metal Sonic's Quest
Credits

Story                                        Jordan Dooling
Supervisor                                Mark Dooling
Characters
Metal Sonic
Mecha Knuckles
Metal Overlord
Mecha Conqueror
Hotel Guy
Created with:                      Quest
Special Thanks to:
Jordan Dooling
Benett Hamilton
Quest
Sonic Team
Sega
Other things I forgot
THE     END!!!!!!

Sega is copyright Sega 2005. Sonic Team is copyright Sega and Sonic Team 2005.
end define

define text <After Roughing-up Rouge (Neutral or Bad)>
After killing Rouge, Metal prepares to get the final emerald, little does
he know, someone, no, someTHING is waiting for him.....
find out what in:


CHAPTER 7:  Metal Sonic's 1st Encounter of His Worst Nightmare

We now follow Metal, who has been teleported to the mysterious Area 51.....
end define

define text <After Speaking to Mr. Metalism>
A briefcase lost, it had the MSQ2 Demo! Lost somewhere in the Main Game!
Well, soldier, you know your mission! Find that thing!
-------------------------------- Metal Sonic's Side Quest-----------------------------------
"Sequels R Us"
You should start your search in the Junkyard....
end define

define text <After choosing 1p mode>
Okay! Time to get into the Main Game! Metal Sonic, (M), is a life-killing robot bent on destroying all good guys, and you play as him! Now, something has happened to Metal, and everyone BUT him remember (a shame...). It's not a BIG thing, but it's still worth remembering. Along with forgetting it, though, he also forgot ALMOST EVERYTHING! He only remembered his creator, his enemies, and a few places. It's
your job (not mine) to help Metal restore his memory. Who knows? You might be impressed eventually...
----------------------------------------(Metal Sonic's Quest)--------------------------------------
We'll start Chapter 1: Metal Sonic's Basic Training, in the Junkyard...
end define

define text <the menu>
It reads:
"Ye Olde Egg Menu


Breakfast:
Oil........ Free
Data Chip......$2.99

Lunch:
Oil........Free
Lunch Special- 8 Data Chips, 6 cups of Oil......$8.99

Main Meals:
Oil.......Free
Dinner On Le French.......$10.00

Beverages:
Oil Shake...... 2.99
Oil.....Free
Oil Smoothie....3.99

[legal stuff]"
end define

define selection <Choose a weapon!>
	info <Choose a weapon!>
	choice <Shotgun> goto <Game Over 1>
	choice <Uzi> goto <Killed Sonic>
end define
define selection <Choose a player!>
	info <Who wins?>
	choice <Metal Sonic> goto <The fight- Metal Sonic side>
	choice <Tails> goto <The fight- Tails>
end define
define selection <Character select>
	info <Choose a character>
	choice <Metal Sonic> goto <Metal Sonic Start>
	choice <Shadow> goto <Shadow Start>
	choice <Meta Tails> goto <Meta Tails>
end define
define selection <Metal again>
	info <You're Metal! Choose a weapon.>
	choice <Flamethrower> goto <Battle Royale Lose1>
	choice <Minigun> goto <B.R.L.2>
	choice <Bazooka> goto <B.R.L.3>
	choice <Sniper Rifle> goto <Finished Battle Royale>
end define
define selection <Speak to>
	info <What question to ask?>
	choice <Have you seen a myserious female around here?> say <No, I haven't.>
	choice <I've heard about a dragon....> say <Oh, that dragon.....|nhe comes here every day,|n at 5, to scorch us, |n yet, when we're all inside,|n he thinks no one is here and |n goes home.... he lives in the|n caves.>
	choice <Where am I?> say <You are in Hewewe (he-way-way)|n home of echidnas, this is|n Angel Island!>
end define
define selection <weapon>
	info <Choose a weapon>
	choice <Minigun> {
		msg <Metal shoots, he scores!|n1 shot, 2 to go.>
		choose <weapon2>
	}
	choice <Bazooka> {
		msg <Knuckles grabs the bullet and |nthrows it back at you.|n|n|n|n|nBOOM|n|n|n|n|nYou have 2 HP left.>
		choose <weapon2>
	}
end define
define selection <weapon2>
	info <Choose another weapon>
	choice <Magic Bullet> msg <BOOM! It knocks 2 HP outta|n Knuckles and he's dead!>
	choice <2 magic bullets> if ask <You wann restart at the start of the battle?> then goto <Burned Hewewe> else playerlose
end define
define selection <Character>
	info <Choose a character, QUICK!>
	choice <Metal Sonic> choose <Metal snow>
	choice <Dragon> choose <Dragon snow>
end define
define selection <Metal snow>
	info <Choose a path!>
	choice <Left> {
		msg <There's a cliff!|nAAAAHHHHHHHHHHHHH!>
		choose <Metal snow>
	}
	choice <Right> {
		msg <Made it through....>
		choose <Metal2>
	}
end define
define selection <Dragon snow>
	info <Choose a path!>
	choice <Left> {
		msg <Phew..... made it....>
		choose <Dragon2>
	}
	choice <Right> {
		msg <Mommy... CLIFF!|nAAAAHHHHHHHHHH!|nYou fell with Metal Sonic, who|n happened to go the same way...>
		choose <Dragon snow>
	}
end define
define selection <Metal2>
	info <Next Path!>
	choice <Left> {
		msg <Made it. Good.>
		choose <Metallast>
	}
	choice <Center> {
		msg <A forest.|nOh son of a-SMACK!>
		choose <Metal2>
	}
	choice <Right> {
		msg <A cliff.|nUh-oh....|nAAAAAHHHHHHHHH!!!!>
		choose <Metal2>
	}
end define
define selection <Dragon2>
	info <Choose a path!>
	choice <Left> {
		msg <Forest....|nOh my.... SMACK!>
		choose <Dragon2>
	}
	choice <Center> {
		msg <Past the hazards. Good.>
		choose <Dragonlast>
	}
	choice <Right> {
		msg <A cliff.|nThis is going to-|nHUUUUUUURRRRRRRTTTTTT!>
		choose <Dragon2>
	}
end define
define selection <Metallast>
	info <Last ones!>
	choice <Far left> {
		msg <SCREECH!|nWoo boy...|nI JUST dodged a cabin.>
		timeroff <Knuckles Explosion>
		goto <Ice Cap- Finale>
	}
	choice <Left> {
		msg <THERE'S A CABIN! AHHH!|nSMACK! Ow....>
		msg <Metal faints.>
		goto <Cemetary>
		timeroff <Knuckles Explosion>
	}
	choice <Center> {
		msg <Oh my.... CABIN!|nSMACK!>
		timeroff <Knuckles Explosion>
		msg <Metal faints.>
		goto <Cemetary>
	}
	choice <Right> {
		msg <Uh-oh.... there's a huuuuge cabin.....>
		msg <Metal faints.|n>
		goto <Cemetary>
		timeroff <Knuckles Explosion>
	}
end define
define selection <Dragonlast>
	info <Last one!>
	choice <Left> {
		msg <I'm going to run into the flaming village! SMACK! BURN!>
		msg <Dragon faints.>
		goto <Cemetary>
		timeroff <Knuckles Explosion>
	}
	choice <Center> {
		msg <Oh no! The ski lift! SMACK!>
		msg <Dragon faints.>
		timeroff <Knuckles Explosion>
		goto <Cemetary>
	}
	choice <Right> {
		msg <Metal Sonic!!!!!!!!!!BOOM!>
		timeroff <Knuckles Explosion>
		msg <They faint.>
		goto <Cemetary>
	}
	choice <Far right> {
		msg <Phew! I just dodged Metal Sonic!>
		timeroff <Knuckles Explosion>
		goto <Ice Cap- Finale>
	}
end define
define selection <Sonaickles>
	info <Which part to hit?>
	choice <Feet> {
		msg <You go for the feet,|nSQUISH, he squishes you.|nRestart.>
		goto <Morph>
	}
	choice <Tails> {
		msg <You go for them, and get sliced!|nRestart.>
		goto <Morph>
	}
	choice <Knuckles> {
		msg <You go for them, and get punched!|nRestart.>
		goto <Morph>
	}
	choice <Say something stupid.> {
		msg <You say," I'm not scared of you."|nSAC: Oh. He's not?|nS: NO! I'm not scared!|nSAC: Oh. Then never mind....|nSee ya!>
		goto <Egg Fortress- Hallway>
	}
end define
define selection <Rouge>
	info <Fight Rouge!>
	choice <From above> {
		msg <You jump up and kick her.|nShe kicks you back and rips your|n leg off.|nR: Honestly, Metal, you really|n thought you could beat ME?|n I'm the world's greatest treasure hunter, and I'm going to get BILLIONS off of selling robot parts!|nM: Ugh.... you're not gonna get away with this Rouge...>
		choose <1 leg>
	}
	choice <From the side.> {
		msg <You puch her, she kicks you, removing your head.|n|n|nSYSTEM MALFUNCTION>
		playerlose
	}
end define
define selection <1 leg>
	info <Hit her where it hurts!>
	choice <The head> {
		msg <You kick her (with your only leg)|n and she gets hurt, but in return,|n rips off your 2nd leg.|nR: I am too good for you, Metal.|nM: Oh, please, I've been fighting|n since before you were born!>
		choose <No legs>
	}
	choice <The legs> {
		msg <You try to kick her, but shegrabs you, then keeps kicking you until you malfunction.>
		playerlose
	}
end define
define selection <No legs>
	info <Now, choose your weapon to kill her with! No answer is wrong!>
	choice <(Good) Spare Her> msg <M: I shall spare you.|nR: Why? Are you scared?|nM: No, my mission is to find out my past, not to kill all life forms.|nR: Okay, weirdo. (Rouge speeds off)|n(you reach into Robotnik's pocket and find a chaos emerald!)|n|n|n       9 extra words! (From Chapters 4-6)|n|n  The servers|n  Mekaku|n  Sonikku|n  Mekakuknux|n  7 chaos|n  Chaos is power|n  Power enriched by the heart|n  utilizes chaos|n  Ultra>
	choice <(neutral) Uzi> {
		msg <M: And now, to finish you off.|n[pulls out Uzi]|n{shoots Rouge}|nM: Target eliminated.|nR: [with last breath] Mekaku.....|nM: Mekaku?|n[drops uzi]|n{looks up, wondering meaning}|nM: Mekaku.....|n[a few minutes later]|n{reaches into Eggman's pocket}|nM: The 6th emerald....|n only 1 left....>
		goto <Area 51-Gate>
	}
	choice <(Bad) Put grenade in mouth, on stomach, and underneath> {
		msg <M: Now then, you shall pay for |n messing with Doctor Robotnik!|nR: Before I do.....|nM: Oh, yes. Any last words?|nR: Yes. I sneaked into the|n Egg Base to spy on you, Metal, |nthen, I followed you into that locked room.|nM: Interesting....|nR: Just 1 question....|nM: Ask it.|nR: Why did you chase me out of court?|nM: I knew you knew something I|n didn't. What is that?|nR: Mekaku.... I knew that you had|n what it took to stop him....|nM: Stop who?|nR: To stop--|n{grenades set off}|nM: Oh dear.|n Now, where's that emerald?|n Oh, it's in Eggman's pocket.|n I have it, now, emerald, take me where I need to go!>
		goto <Area 51-Gate>
	}
end define
define selection <Multiplayer>
	info <What would you like?>
	choice <I would like to play Single Player mode.> if ask <So, you want to start a new game?> then {
		msg <Have fun in the world of Mobius,|n and try to unlock the secret chapter!>
		goto <Knothole Junkyard- Wake point>
	}
	else msg <Oh, ok.>
	choice <I would like to play multiplayer campaign mode.> if ask <So, you want to play the exciting campaign mode?> then {
		msg <Okay! See you in 30 years!>
		goto <Campaign Select>
	}
	else msg <Oh, okay!>
	choice <I would like some tips.> choose <Tip>
end define
define selection <Tip>
	info <For which level?>
	choice <Chapter 1> msg <That monorail seems interesting.|nThe house seems suspicious.>
	choice <Chapter 2> msg <I think Metal Sonic would like to sit down. Maybe the cupboard has something...>
	choice <Chapter 3> msg <Metal Hints:|nWhy would a bad guy run out into the streets? The sewers always|n have some sort of switch....|nPatience is a virtue.|nShadow hints:|nDon't stay out in the open for too long! If you're stuck, try:|nteleport~room.|nMeta Tails hints:|nCome on, if you need hints, you mustn't of noticed the other possibilities!>
	choice <Chapter 4> msg <Be a hero- fight dragons!|nAlways talk to strangers!|nInside lost woods, always try to|n go someplace you'd expect the animal to be!|nProve to Knuckles that you didn't flame his village!>
	choice <Chapter 5> msg <You never know when a ski lift works! Stuck at the snowboard sequence? Try this: |nskip_the_mountain.|nSometimes pick brains over brawn!>
	choice <Chapter 6> msg <Strange things go on in the Receptionists Room.|nThe Bathrooms may be home to bats! Try 'going' up-up!>
	choice <Chapter 7> {
		msg <Who knows when change is good?>
		msg <Think fast when facing off against bosses.>
		msg <Have a useless item with you?|n Is it from Chapter 1? Then put it to use!>
	}
	choice <Campaign mode> msg <Boot Camp does help sometimes!|nKeep trying, you'll get it soon!|nCampaign Mode has MANY secrets,|njust remember to look!>
end define
define selection <Final Boss>
	info <Fight! Quickly!>
	choice <Punch> {
		msg <Punch!>
		timeroff <Reflex time>
		timeroff <Round 2>
		timeroff <Final shot>
	}
	choice <Block> {
		msg <Block!>
		timeroff <Reflex time>
		timeroff <Round 2>
		timeroff <Final shot>
	}
end define
define selection <Move from side to side>
	info <Which side?>
	choice <left> {
		msg <You run to the left side, and SLAM!|nGet squished..... time to restart!>
		goto <Extra- MC's head>
	}
	choice <right> {
		msg <You dodge thee fist, and MC gets hurt by his fist. You get out of MC's head, but have to go to space,|nfor the final battle!>
		goto <Extra- Space>
	}
end define
define selection <Campaign select>
	info <Select a force!>
	choice <Freedom Fighters> msg <Fool! There IS no Campaign for THEM.>
	choice <Robot Wranglers> goto <Campaign mode- Start point, Metal>
	choice <FF Boot Camp> goto <Campaign Mode- FF start>
	choice <RW boot camp> goto <Boot Camp- Metal>
end define
define selection <Training>
	info <Choose a weapon!>
	choice <Flamethrower> {
		msg <M: Good!>
		goto <Boot Camp- Finished>
	}
	choice <Bazooka> {
		msg <M: Good!>
		goto <Boot Camp- Finished>
	}
end define
define selection <Which?>
	info <Choose one!>
	choice <Lobby> goto <Multiplayer Lobby>
	choice <Stay> goto <Boot Camp- Moving, Metal>
end define
define selection <dodge>
	info <Dodge where?>
	choice <left> {
		msg <You go to the left, and dodge the move! Then punch the hologram.|nK: Good! See? The FFSS is perfect!|nNow, get some rest. We will plan the|n survival tommorow.>
		goto <Multiplayer Lobby>
	}
end define
define selection <Final Battle CM v.s. SS>
	info <First, you must choose how to fight! Only 1 is right!>
	choice <Sonic v.s. Metal Sonic (fair fight)> choose <The actual fight>
	choice <Sonic v.s. CM (unfair to FF)> {
		msg <SS: That fight isn't fair!>
		choose <Final Battle CM v.s. SS>
	}
	choice <SuperSonic v.s. Metal Sonic (unfair to RW)> {
		msg <CM: That fight isn't fair!>
		choose <Final Battle CM v.s. SS>
	}
	choice <SuperSonic v.s. CM (fair fight)> {
		msg <SS: I thought that the rivalry was between my normal self and your normal self!>
		choose <Final Battle CM v.s. SS>
	}
end define
define selection <The actual fight>
	info <Remember, you're Metal Sonic! What move?>
	choice <Sonic CD-ifyer> {
		msg <Metal: Let's finish this, Stardust Speedway Act 3 style!|nSonic: Gotcha. First one to the goal room is the winner!>
		goto <Campaign Mode- Sonic CD>
	}
	choice <Sonic The Fighters-ifyer> msg <Sonic: Why don't we finish this.....|n Sonic the Fighters Death Egg's Eye style?|nMetal: Okay, round 1 DING DING!>
	choice <Skip to End (no unlockables!)> goto <Campaign Mode- Complete>
end define
define selection <Stardust Speedway racetrack>
	info <Get ready to jump the spike....>
	choice <Jump!> {
		msg <You jump as quick as you can,|n and survive! Get ready...>
		timeroff <timer for spike>
		choose <final jump>
		timeron <second>
	}
end define
define selection <final jump>
	info <Be prepared....>
	choice <JUMP!> {
		msg <You jump over Sonic's head, and a spike patch, and win the race!>
		timeroff <second>
		goto <Campaign Mode- Complete>
	}
end define
define selection <Fight Sonic>
	info <Which move?>
	choice <Laser attack> {
		msg <You shoot the laser at him, he loses half of his HP, and destroys you.|nDING DING!>
		goto <Campaign Mode- Commander Metal's Final Online Time>
	}
	choice <Pick up, claw attack> {
		msg <You pick him up, fly into the air, and slash him, and he dies! You win!|nDING DING!>
		goto <Campaign Mode- Complete>
	}
	choice <Super claw> {
		msg <You extend your claws, and slash him. He loses 3 quarter HP, and destroys you!|nDING DING!>
		goto <Campaign Mode- Commander Metal's Final Online Time>
	}
	choice <Kick> {
		msg <Do you really think that'll work?|nDING DING!>
		goto <Campaign Mode- Commander Metal's Final Online Time>
	}
end define
define selection <Talk to Eggman>
	info <What is it now, Metal?>
	choice <"Why are you so aggressive to me?"> msg <"ME? NOT aggressive? Think, Metal! I'm sorry you're getting in my aggressiveness, but I am a VERY busy man.">
	choice <"So, what are you doing?"> msg <"I'm punishing Big Bane Motara, here, for drinking all of the oil! Now I have to go get even more oil from the stores! Do you know how much that messes up my schedule? Because it messes it up ALOT.">
	choice <"Any surprises for us today, Doctor?"> msg <"Well, yes. I heard Sonic and Tails saying they'e going to break in here and take care of me for once and for all! I knew it'd come eventually, Metal! I JUST KNEW IT! I'm gonna be thrown in the big house, I tell ya! THE BIG HOUSE!">
	choice <"Oh, nothing. Nothing at all."> msg <"Well, as long as you don't bother me  again.">
end define
define selection <Badnik Boutique>
	info <So.... whad'll it be?>
	choice <I'd like to buy something.> goto <Buy>
	choice <How can I get a job here?> {
		msg <Well, to get a job here, you don't get paid, but it's free. Just take this Data Chip, and you're a member.>
		if ask <Wanna be a member?> then {
			msg <LL: GREAT! A new member! Take this Data Chip.>
			give <Data Chip>
		}
		else msg <Oh, well that's too bad.>
	}
	choice <Oh, uh, I forgot.> msg <That's okay! Come again, Metal!>
end define
define selection <Eggman2>
	info <What? What is it now?>
	choice <Well, I don't have the money to buy A.I. Batteries!> msg <Oh, ok. I'll install a new feature for you. There! Type: Run  "print_out_a_million_dollar_bill.exe"|n to get a million smackers!>
end define

